#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_attrs, 0x3895c0ba, "_gpl");
SYMBOL_CRC(ahci_sdev_attrs, 0x7831ca0b, "_gpl");
SYMBOL_CRC(ahci_ops, 0x9e5b2368, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x0e04bc0d, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x925edb5c, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x7923e241, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x319f3c4c, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x7ec2d3b1, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x16d73a23, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x27d9ee6f, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0xf6bf246e, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0xba191a3a, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x35bdb946, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0xb6b8ac84, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x977673ed, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x820e56e6, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0xaa02f376, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x17690956, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xab0f19da, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x821ca0de, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0xaa0097dd, "_gpl");
SYMBOL_CRC(ahci_print_info, 0xa1cd358e, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x71221f27, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x1f7f03e8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x6f002a91, "ata_std_qc_defer" },
	{ 0x1e0152e6, "sata_pmp_qc_defer_cmd_switch" },
	{ 0x12dbc008, "__dynamic_dev_dbg" },
	{ 0x8bc02e32, "ata_port_classify" },
	{ 0x6b98e9a3, "ata_qc_complete_multiple" },
	{ 0xf6ea580c, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xb84e959d, "sata_pmp_error_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x175b500f, "ata_host_start" },
	{ 0x478c77ea, "devm_request_threaded_irq" },
	{ 0x2ed15978, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x7842f1f7, "ata_host_register" },
	{ 0x312525e3, "ata_host_activate" },
	{ 0x42dc9359, "_dev_warn" },
	{ 0x27a0f7f1, "ata_dummy_port_ops" },
	{ 0xc234eab0, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xf727f263, "devm_kmalloc" },
	{ 0xd611b87c, "dmam_alloc_attrs" },
	{ 0xf1c9b579, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x221e54fc, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x2c7bbe9c, "sata_link_hardreset" },
	{ 0xabdcd862, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x95ff0436, "ata_ehi_clear_desc" },
	{ 0xd1a1688b, "ata_ehi_push_desc" },
	{ 0xd09dee25, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf47c99c, "ata_port_abort" },
	{ 0xee0377ad, "sata_lpm_ignore_phy_events" },
	{ 0xd79938e0, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0x405b579b, "param_ops_int" },
	{ 0xd22c432, "param_ops_bool" },
	{ 0x2d746e, "sata_pmp_port_ops" },
	{ 0x3145e9ba, "dev_attr_sw_activity" },
	{ 0x1c14bdd8, "dev_attr_unload_heads" },
	{ 0xe4c20951, "dev_attr_ncq_prio_supported" },
	{ 0x6a665642, "dev_attr_ncq_prio_enable" },
	{ 0xf21a21d1, "dev_attr_link_power_management_policy" },
	{ 0xb2459191, "dev_attr_em_message_type" },
	{ 0xd7d62d83, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd99a07a2, "__pm_runtime_resume" },
	{ 0xa1f63617, "__pm_runtime_idle" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8b7049d8, "ata_link_next" },
	{ 0x3726abef, "ata_wait_register" },
	{ 0x74450d3f, "ata_dev_set_feature" },
	{ 0x6db8231a, "_dev_info" },
	{ 0xf06a0d18, "sata_link_scr_lpm" },
	{ 0x6d6af5f, "ata_msleep" },
	{ 0xb21e0468, "_dev_err" },
	{ 0x7b1f7d8f, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "8DB59F85651914E62049B39");
MODULE_INFO(rhelversion, "9.7");
