#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x5ccd2ffe, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0xcdf09358, "");
SYMBOL_CRC(__bcma_driver_register, 0xbaa402f2, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x4b3f1c35, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x48ec9771, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x9a30c9fe, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x38b52a7b, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0xa6fe13ea, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x4430f20c, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0xa7c6fd77, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x7fc287f8, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x31caf24b, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0xb81df81e, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xbf7f2c88, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x8c65ccb7, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x5cc330dc, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xb61ca981, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0xdd653ea6, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x91ec32c4, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x5bcbe2cd, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0xefc25084, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x3bc05328, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0xb31674cc, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x4038bad9, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x3db3c4c2, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x019cd324, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xd01f952d, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xf05011b7, "dev_set_name" },
	{ 0xf00d8802, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9a52e739, "device_unregister" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x7a4d4d81, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xe3cc3c43, "device_initialize" },
	{ 0x53338ea6, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4d054148, "get_device" },
	{ 0x12dbc008, "__dynamic_dev_dbg" },
	{ 0x49fe08b6, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6cc2e0eb, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xefe478d8, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6db8231a, "_dev_info" },
	{ 0x146c25fb, "gpiochip_get_data" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x879ba157, "bus_unregister" },
	{ 0xb21e0468, "_dev_err" },
	{ 0xd242a348, "device_add" },
	{ 0x23835e74, "platform_device_unregister" },
	{ 0xd528a01d, "mutex_lock" },
	{ 0x55d71760, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc351fbb7, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0x42dc9359, "_dev_warn" },
	{ 0x2bed66f3, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0xa487bd56, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf1af25ac, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbf2698c2, "platform_device_register_full" },
	{ 0xd5ea48ab, "mutex_unlock" },
	{ 0x2e1cf3d8, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdf21a436, "pci_disable_device" },
	{ 0x6f2c416, "pcie_set_readrq" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x17af9949, "driver_register" },
	{ 0x935a90f8, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xaf863469, "__dev_fwnode" },
	{ 0x3b74e76f, "pci_write_config_dword" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x164372a5, "bus_register" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "25C521496BAEF4FC1986235");
MODULE_INFO(rhelversion, "9.7");
