#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x334415f7, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0x5f65bcf2, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x65066f73, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x0e7ff1af, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0xbf08ad1d, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0xcead7a53, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x0682624d, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x4bac90b2, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x95c4c63d, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x78fed311, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0x116b2892, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x1fde9840, "_gpl");
SYMBOL_CRC(mhi_notify, 0xfec46a90, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0xaf71b1ae, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0xeca0e78e, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0xc10d29ca, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x5a856fac, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0xc2953102, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0xbf972277, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x775dcaeb, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0x8d0cf695, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0x2f89ca1c, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x2faa9626, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0xcbe710af, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0x2795e2cc, "_gpl");
SYMBOL_CRC(mhi_power_down, 0x606bd17c, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0xc0d70ad2, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x384fbb97, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x977ab962, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x47dc8838, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0xf804d654, "_gpl");
SYMBOL_CRC(mhi_device_put, 0xd11e8a8e, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x613e5701, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb1f704a3, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9b1642e5, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xcd9cf41, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa0127b45, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf05011b7, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x391d506, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x3c1900ca, "finish_wait" },
	{ 0xcb601c06, "dma_unmap_page_attrs" },
	{ 0xa3432a15, "request_firmware" },
	{ 0xa68760f3, "trace_event_printf" },
	{ 0xe3cc3c43, "device_initialize" },
	{ 0x685b17a8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8d19fd49, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd69e2d02, "bpf_trace_run2" },
	{ 0x45c29960, "prepare_to_wait_event" },
	{ 0xd20e8db1, "__wake_up" },
	{ 0xf386c9d6, "event_triggers_call" },
	{ 0x4d054148, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x12dbc008, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf1c9b579, "dev_driver_string" },
	{ 0xb6e8b9ab, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8fc8ce75, "dma_map_page_attrs" },
	{ 0x3e874319, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xefe478d8, "put_device" },
	{ 0x846e86e9, "trace_event_ignore_this_pid" },
	{ 0x78f72034, "sysfs_remove_file_ns" },
	{ 0xd0c849be, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x6db8231a, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x76c97b7e, "perf_trace_run_bpf_submit" },
	{ 0x879ba157, "bus_unregister" },
	{ 0xb21e0468, "_dev_err" },
	{ 0xccc2911f, "device_wakeup_enable" },
	{ 0xd242a348, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd528a01d, "mutex_lock" },
	{ 0xa5b42250, "dma_alloc_attrs" },
	{ 0x1566e34f, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x36984d8a, "ida_free" },
	{ 0x55d71760, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x16eba0a, "device_del" },
	{ 0x42dc9359, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf03a2846, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0x678136c3, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb70f9d75, "rt_read_lock" },
	{ 0x7442c4d9, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xcff2b723, "trace_event_buffer_reserve" },
	{ 0xd5ea48ab, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb58ea34a, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x3d1b9ea0, "rt_write_lock" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x17af9949, "driver_register" },
	{ 0x935a90f8, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x164372a5, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A6799FF7734A934FCE082B");
MODULE_INFO(rhelversion, "9.7");
