#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(edac_op_state, "_gpl", "");
KSYMTAB_DATA(edac_mem_types, "_gpl", "");
KSYMTAB_FUNC(edac_mc_alloc, "_gpl", "");
KSYMTAB_FUNC(edac_mc_free, "_gpl", "");
KSYMTAB_FUNC(edac_has_mcs, "_gpl", "");
KSYMTAB_FUNC(find_mci_by_dev, "_gpl", "");
KSYMTAB_FUNC(edac_mc_find, "", "");
KSYMTAB_FUNC(edac_get_owner, "_gpl", "");
KSYMTAB_FUNC(edac_mc_add_mc_with_groups, "_gpl", "");
KSYMTAB_FUNC(edac_mc_del_mc, "_gpl", "");
KSYMTAB_FUNC(edac_mc_find_csrow_by_page, "_gpl", "");
KSYMTAB_DATA(edac_layer_name, "_gpl", "");
KSYMTAB_FUNC(edac_raw_mc_handle_error, "_gpl", "");
KSYMTAB_FUNC(edac_mc_handle_error, "_gpl", "");
KSYMTAB_FUNC(edac_device_alloc_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_device_free_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_device_alloc_index, "_gpl", "");
KSYMTAB_FUNC(edac_device_add_device, "_gpl", "");
KSYMTAB_FUNC(edac_device_del_device, "_gpl", "");
KSYMTAB_FUNC(edac_device_handle_ce_count, "_gpl", "");
KSYMTAB_FUNC(edac_device_handle_ue_count, "_gpl", "");
KSYMTAB_FUNC(edac_get_sysfs_subsys, "_gpl", "");
KSYMTAB_FUNC(edac_queue_work, "_gpl", "");
KSYMTAB_FUNC(edac_mod_work, "_gpl", "");
KSYMTAB_FUNC(edac_stop_work, "_gpl", "");
KSYMTAB_FUNC(edac_pci_alloc_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_pci_free_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_pci_alloc_index, "_gpl", "");
KSYMTAB_FUNC(edac_pci_add_device, "_gpl", "");
KSYMTAB_FUNC(edac_pci_del_device, "_gpl", "");
KSYMTAB_FUNC(edac_pci_create_generic_ctl, "_gpl", "");
KSYMTAB_FUNC(edac_pci_release_generic_ctl, "_gpl", "");
KSYMTAB_FUNC(edac_pci_handle_pe, "_gpl", "");
KSYMTAB_FUNC(edac_pci_handle_npe, "_gpl", "");

SYMBOL_CRC(edac_op_state, 0xb51fbd64, "_gpl");
SYMBOL_CRC(edac_mem_types, 0x2c8dd6b8, "_gpl");
SYMBOL_CRC(edac_mc_alloc, 0x1f2c5692, "_gpl");
SYMBOL_CRC(edac_mc_free, 0xd9c9c541, "_gpl");
SYMBOL_CRC(edac_has_mcs, 0xefeafcf1, "_gpl");
SYMBOL_CRC(find_mci_by_dev, 0x18044cf5, "_gpl");
SYMBOL_CRC(edac_mc_find, 0x87914c2d, "");
SYMBOL_CRC(edac_get_owner, 0x5ab09745, "_gpl");
SYMBOL_CRC(edac_mc_add_mc_with_groups, 0xf87025a6, "_gpl");
SYMBOL_CRC(edac_mc_del_mc, 0x14e3a538, "_gpl");
SYMBOL_CRC(edac_mc_find_csrow_by_page, 0x2af4b028, "_gpl");
SYMBOL_CRC(edac_layer_name, 0xc0dcb59e, "_gpl");
SYMBOL_CRC(edac_raw_mc_handle_error, 0xdeffa0a7, "_gpl");
SYMBOL_CRC(edac_mc_handle_error, 0x245b4841, "_gpl");
SYMBOL_CRC(edac_device_alloc_ctl_info, 0x7cca0c7b, "_gpl");
SYMBOL_CRC(edac_device_free_ctl_info, 0x1c5856e2, "_gpl");
SYMBOL_CRC(edac_device_alloc_index, 0x6e3ff83a, "_gpl");
SYMBOL_CRC(edac_device_add_device, 0x928af82f, "_gpl");
SYMBOL_CRC(edac_device_del_device, 0x258a02f5, "_gpl");
SYMBOL_CRC(edac_device_handle_ce_count, 0x95abdfb9, "_gpl");
SYMBOL_CRC(edac_device_handle_ue_count, 0x9487e6c4, "_gpl");
SYMBOL_CRC(edac_get_sysfs_subsys, 0xc1c87546, "_gpl");
SYMBOL_CRC(edac_queue_work, 0x7d8b1ce6, "_gpl");
SYMBOL_CRC(edac_mod_work, 0xd4598c09, "_gpl");
SYMBOL_CRC(edac_stop_work, 0xc126d59f, "_gpl");
SYMBOL_CRC(edac_pci_alloc_ctl_info, 0x003e2e5d, "_gpl");
SYMBOL_CRC(edac_pci_free_ctl_info, 0x81df20c4, "_gpl");
SYMBOL_CRC(edac_pci_alloc_index, 0x0c32ff8a, "_gpl");
SYMBOL_CRC(edac_pci_add_device, 0x135c0130, "_gpl");
SYMBOL_CRC(edac_pci_del_device, 0x32afb686, "_gpl");
SYMBOL_CRC(edac_pci_create_generic_ctl, 0x87e73fa8, "_gpl");
SYMBOL_CRC(edac_pci_release_generic_ctl, 0x22f02a5e, "_gpl");
SYMBOL_CRC(edac_pci_handle_pe, 0x5245ccf7, "_gpl");
SYMBOL_CRC(edac_pci_handle_npe, 0x39d1c691, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x247ddcbd, "try_module_get" },
	{ 0xc91ee1b5, "__SCT__tp_func_mc_event" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xa0127b45, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf05011b7, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9a52e739, "device_unregister" },
	{ 0xfa6c8907, "pci_get_device" },
	{ 0x96848186, "scnprintf" },
	{ 0xe3cc3c43, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x3c9d327d, "bus_get_dev_root" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6cc2e0eb, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xd7c29a12, "__SCK__tp_func_mc_event" },
	{ 0x60f2d991, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xefe478d8, "put_device" },
	{ 0x78f72034, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x14e80b76, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xcdac4c31, "sysfs_create_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x879ba157, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd242a348, "device_add" },
	{ 0x7bd3749d, "sysfs_remove_link" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa3521253, "mem_section" },
	{ 0xd528a01d, "mutex_lock" },
	{ 0x6e9388fb, "pci_read_config_word" },
	{ 0x9166fada, "strncpy" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xf1e046cc, "panic" },
	{ 0x3f2998ae, "kobject_init_and_add" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7690ef4d, "device_register" },
	{ 0x16eba0a, "device_del" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x788a3109, "pm_runtime_forbid" },
	{ 0xd5ea48ab, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x44932664, "__tracepoint_mc_event" },
	{ 0xd57462fc, "kobject_uevent" },
	{ 0xdc73af9, "boot_cpu_data" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0xef5fb198, "pci_read_config_byte" },
	{ 0x754d539c, "strlen" },
	{ 0x405b579b, "param_ops_int" },
	{ 0x3f992f86, "pci_write_config_word" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x4df4b1ed, "subsys_system_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xab2c0f87, "kobject_get" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0xf52501c6, "kobject_put" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A60855DBEEFBAEF3AE1A235");
MODULE_INFO(rhelversion, "9.7");
