#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x84fb3cb6, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x51f50931, "_gpl");
SYMBOL_CRC(stm_data_write, 0x27c6838b, "_gpl");
SYMBOL_CRC(stm_register_device, 0xef577c17, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x03e0cbb7, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x01b51a58, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x3e662a5b, "_gpl");
SYMBOL_CRC(stm_source_write, 0x6af8fd5c, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0x9dfab0fb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x247ddcbd, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa91d8850, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9a52e739, "device_unregister" },
	{ 0x29687423, "pm_runtime_set_autosuspend_delay" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x1f1ea313, "vm_iomap_memory" },
	{ 0x40b41c05, "config_item_get" },
	{ 0xe3cc3c43, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0x599697fb, "synchronize_srcu" },
	{ 0x12dbc008, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7221222a, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd8b4af3d, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xefe478d8, "put_device" },
	{ 0x741462cf, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x14e80b76, "module_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe3fa7c9, "init_srcu_struct" },
	{ 0xb924756b, "down_write" },
	{ 0xb3cc0d0d, "up_write" },
	{ 0x8152ebee, "configfs_register_subsystem" },
	{ 0xd242a348, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0x37211dfe, "__srcu_read_lock" },
	{ 0x3f7e3c43, "config_group_init_type_name" },
	{ 0xd528a01d, "mutex_lock" },
	{ 0xd2a7de8d, "class_unregister" },
	{ 0x60bcd019, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8ca5ec69, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0xa86e2667, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0xd4492618, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x788a3109, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd99a07a2, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd5ea48ab, "mutex_unlock" },
	{ 0xe13333a3, "config_item_put" },
	{ 0xd1c7938, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c725970, "kobject_set_name" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x9717fed2, "device_match_name" },
	{ 0xb2326865, "__srcu_read_unlock" },
	{ 0xdc73af9, "boot_cpu_data" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0xedf50fea, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xd4b5a152, "__pm_runtime_use_autosuspend" },
	{ 0xf36f972e, "__pm_runtime_disable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x935a90f8, "__mutex_rt_init" },
	{ 0x3f3cb8da, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd554f5a6, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F8F69BDCAFE2113ED1BC33F");
MODULE_INFO(rhelversion, "9.7");
