#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x840ef4ad, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x3655c97f, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x1250c8c1, "_gpl");
SYMBOL_CRC(tap_free_minor, 0xaf2b7410, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x9e6cd285, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xa50b8c65, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x5463ac31, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0xab9d60a8, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x27046c62, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd7f39a72, "netdev_err" },
	{ 0xba7001ee, "idr_remove" },
	{ 0xd20e8db1, "__wake_up" },
	{ 0x5959d773, "_copy_to_iter" },
	{ 0x95161a97, "iov_iter_advance" },
	{ 0xe5d67de, "skb_copy_datagram_iter" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb036c118, "idr_find" },
	{ 0x39ee08e2, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0xf03a2846, "__init_waitqueue_head" },
	{ 0xb7cc6d9, "sock_init_data_uid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa54f3ccd, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8f9aff2a, "cdev_init" },
	{ 0x81162eae, "cdev_add" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x9f0d24da, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x13b16ffd, "dev_set_mac_address_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3873a0e2, "dev_get_mac_address" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd905338e, "consume_skb" },
	{ 0x3c1900ca, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x1045a65d, "prepare_to_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xd031de37, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xccdcadee, "skb_push" },
	{ 0x75bd42d, "__skb_gso_segment" },
	{ 0x31022b72, "skb_checksum_help" },
	{ 0x1b81bcce, "kfree_skb_list_reason" },
	{ 0x4b396803, "__skb_get_hash_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x71917db3, "__skb_flow_dissect" },
	{ 0xf3e0d23b, "skb_partial_csum_set" },
	{ 0xb288c1df, "__pskb_pull_tail" },
	{ 0xe5994b28, "iov_iter_npages" },
	{ 0x31999df5, "_copy_from_iter" },
	{ 0x9054d3da, "sock_alloc_send_pskb" },
	{ 0x63def6d6, "skb_put" },
	{ 0x2fd35cfd, "zerocopy_sg_from_iter" },
	{ 0x4e527fc3, "__dev_queue_xmit" },
	{ 0x6ed629e2, "skb_copy_datagram_from_iter" },
	{ 0xb92cd654, "iov_iter_revert" },
	{ 0xb3cd661e, "skb_copy_bits" },
	{ 0x8a37648a, "build_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb7adb54e, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x906cc76e, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F2448FE0CC839943825A4F");
MODULE_INFO(rhelversion, "9.7");
