#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x0010b6c0, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0xbdb09dbc, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x39b667f2, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x7a205d19, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x833dbc0e, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x40492487, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x99bb5bc1, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xa75b823d, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x68831767, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xb3c9c7ea, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xeaea3ef3, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xcfee317b, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x8a143ec4, "_gpl");
SYMBOL_CRC(usbnet_open, 0x9961daa9, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x779bf12d, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x24056468, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xefce52a1, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x772b0405, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xd9e3d5e2, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xa7c9276c, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x0e82d6ec, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xc7af9517, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x6c319932, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xcb23186b, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x123e58f8, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x64f7e054, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xa11be4f8, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xa68d7308, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xe1cfa162, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x99111684, "");
SYMBOL_CRC(usbnet_manage_power, 0xe1309ade, "");
SYMBOL_CRC(usbnet_link_change, 0x45923003, "");
SYMBOL_CRC(usbnet_read_cmd, 0x4fc88081, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x8deb3131, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x9913696c, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xf1a53c6c, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x36289e64, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x132c0a2d, "usb_set_interface" },
	{ 0x77874fb3, "usb_string" },
	{ 0x12dbc008, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9cfa54c2, "skb_defer_rx_timestamp" },
	{ 0x3527c504, "netif_rx" },
	{ 0xf7608df8, "eth_type_trans" },
	{ 0x54c5427c, "skb_queue_tail" },
	{ 0x2583a85d, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xd0004d9a, "skb_queue_purge_reason" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0xd5f9c31e, "usb_get_urb" },
	{ 0x39b889a1, "usb_unlink_urb" },
	{ 0xca07000e, "usb_free_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8a0c2726, "usb_submit_urb" },
	{ 0xd7f39a72, "netdev_err" },
	{ 0xa2ec2744, "mii_ethtool_get_link_ksettings" },
	{ 0xf5af3960, "mii_ethtool_set_link_ksettings" },
	{ 0xde71aadf, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0xe1b858dc, "unregister_netdev" },
	{ 0x9b756bea, "usb_scuttle_anchored_urbs" },
	{ 0x52fbdec, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7213fc94, "free_netdev" },
	{ 0x32f8fe8e, "netdev_info" },
	{ 0xd9cd85f0, "netif_carrier_on" },
	{ 0x5223ba80, "netif_carrier_off" },
	{ 0x49d032d2, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xdfe3c7c4, "usb_autopm_get_interface" },
	{ 0x25fa16ce, "usb_autopm_put_interface" },
	{ 0x759b984f, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0xd528a01d, "mutex_lock" },
	{ 0xd5ea48ab, "mutex_unlock" },
	{ 0x352c9652, "mii_link_ok" },
	{ 0x91cbe847, "ethtool_op_get_link" },
	{ 0x1576da18, "usb_autopm_put_interface_async" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf59ff11e, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54ded64f, "remove_wait_queue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xfe17c07e, "netif_device_detach" },
	{ 0xe1ff28de, "netif_device_attach" },
	{ 0xe3ade934, "skb_dequeue" },
	{ 0xdfb51bb2, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf03a2846, "__init_waitqueue_head" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x935a90f8, "__mutex_rt_init" },
	{ 0xf3b619c6, "register_netdev" },
	{ 0x741462cf, "pm_runtime_enable" },
	{ 0x71cd6002, "skb_clone_tx_timestamp" },
	{ 0x953a4184, "usb_autopm_get_interface_async" },
	{ 0xc45c2119, "dev_kfree_skb_any_reason" },
	{ 0x33923eb7, "skb_tstamp_tx" },
	{ 0x67c3c07a, "usb_anchor_urb" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xcc0747dd, "__netdev_alloc_skb" },
	{ 0xd905338e, "consume_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd20e8db1, "__wake_up" },
	{ 0xfb9b7367, "netif_tx_wake_queue" },
	{ 0x3a7b84ae, "usb_get_from_anchor" },
	{ 0xa12c5fff, "usb_autopm_get_interface_no_resume" },
	{ 0x63def6d6, "skb_put" },
	{ 0xa4a7e31e, "usb_clear_halt" },
	{ 0xe5dac54f, "eth_mac_addr" },
	{ 0xac41cee6, "eth_validate_addr" },
	{ 0x1992f465, "dev_get_tstats64" },
	{ 0x94dc7f, "ethtool_op_get_ts_info" },
	{ 0x405b579b, "param_ops_int" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "A12581BF32F5EC08990C3D3");
MODULE_INFO(rhelversion, "9.7");
