#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0xd91419d4, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x3c2f3626, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x303dbfed, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xddde3dfd, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x82e52376, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x6ac914b2, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xd527525d, "_gpl");
SYMBOL_CRC(nd_device_notify, 0xb6414967, "");
SYMBOL_CRC(nvdimm_region_notify, 0x61247b0d, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x3df32dc7, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x579dbcb4, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x7c27340f, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x59b58efb, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xf88e69ed, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xf260ccfb, "");
SYMBOL_CRC(nd_device_unregister, 0xa582328a, "");
SYMBOL_CRC(__nd_driver_register, 0x0eba1566, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x96022496, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xbea4e884, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0xfd445c0e, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xd6f70296, "_gpl");
SYMBOL_CRC(to_ndd, 0x7ae7b349, "");
SYMBOL_CRC(nvdimm_name, 0xc9e75f87, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x16090738, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x76afb3f9, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0xe75d3d3d, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x1eb59729, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x3377b028, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x8fd3eb2e, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x34608021, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x33f91784, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0xc198ac7e, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x84ff095e, "_gpl");
SYMBOL_CRC(to_nd_region, 0xf2ed468b, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x552466cc, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0xa78abd7f, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0xe5bd8a27, "");
SYMBOL_CRC(nd_region_acquire_lane, 0xfdbb4189, "");
SYMBOL_CRC(nd_region_release_lane, 0xb29ede94, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x9a357b16, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0xf441693e, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x0555a723, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x1db7aece, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x343548aa, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x9816d07b, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x64c6038e, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0xe50cde2e, "");
SYMBOL_CRC(pmem_sector_size, 0x6cc526f8, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xaa313e83, "");
SYMBOL_CRC(nd_dev_to_uuid, 0xc78271a8, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x439fed0b, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x01f0e80b, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x9a3c2621, "");
SYMBOL_CRC(devm_namespace_enable, 0x8d8267ed, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x9ff157d1, "_gpl");
SYMBOL_CRC(badrange_init, 0x451c5c61, "_gpl");
SYMBOL_CRC(badrange_add, 0x5835c074, "_gpl");
SYMBOL_CRC(badrange_forget, 0x95f3d3f9, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x8a710a27, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x17c2830d, "");
SYMBOL_CRC(is_nd_btt, 0xb234ef3a, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xbe06dd21, "");
SYMBOL_CRC(nd_btt_version, 0x8b89ef8c, "");
SYMBOL_CRC(nd_btt_probe, 0x94fbca16, "");
SYMBOL_CRC(to_nd_pfn, 0x20c7b0dd, "");
SYMBOL_CRC(is_nd_pfn, 0x882d49ff, "");
SYMBOL_CRC(nd_pfn_validate, 0x8100f6c6, "");
SYMBOL_CRC(nd_pfn_probe, 0xaa582d9e, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x94fb090a, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x8b6f072f, "");
SYMBOL_CRC(is_nd_dax, 0x586cb1e6, "");
SYMBOL_CRC(nd_dax_probe, 0x7b39b11e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x78a6ec11, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb1f704a3, "ida_alloc_range" },
	{ 0x247ddcbd, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x16ebc06d, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf727f263, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x8e0b3e88, "devm_memremap" },
	{ 0xf05011b7, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x69fc68c5, "badblocks_set" },
	{ 0x9a52e739, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x3c1900ca, "finish_wait" },
	{ 0x191c8053, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xe3cc3c43, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5d0a9d0, "badblocks_exit" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0x8d19fd49, "device_for_each_child" },
	{ 0x45c29960, "prepare_to_wait_event" },
	{ 0xd20e8db1, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x4d054148, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x12dbc008, "__dynamic_dev_dbg" },
	{ 0x628bcda1, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf1c9b579, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x20cf7057, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xce3a978c, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xefe478d8, "put_device" },
	{ 0x2446ac39, "badblocks_show" },
	{ 0xefc5d09c, "key_type_encrypted" },
	{ 0x6db8231a, "_dev_info" },
	{ 0x14e80b76, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x4b5afa25, "perf_pmu_migrate_context" },
	{ 0x520cd2db, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9e02f091, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x879ba157, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xb21e0468, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xbbaea7c5, "__cpuhp_setup_state" },
	{ 0x1a8244d5, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xd242a348, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x4b84d4c9, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x5583c1cd, "class_create" },
	{ 0xd528a01d, "mutex_lock" },
	{ 0x7a6840d0, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x36984d8a, "ida_free" },
	{ 0x55d71760, "driver_unregister" },
	{ 0x50db51df, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd96aaa4b, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xadfd277b, "device_find_child" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x42dc9359, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf03a2846, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0x346d4a68, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x3e5f7dbd, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd5ea48ab, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd22c432, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x47650d7c, "__devm_release_region" },
	{ 0xdfc879e5, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa05d88a6, "kernfs_put" },
	{ 0xd1c7938, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7cb44b70, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xdebfa5e9, "badblocks_check" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x6ae1176b, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x70b9005a, "badblocks_clear" },
	{ 0xe3a6c0f1, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xdcbb0be6, "up_read" },
	{ 0x17af9949, "driver_register" },
	{ 0x935a90f8, "__mutex_rt_init" },
	{ 0xea90c90d, "__cpuhp_remove_state" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x164372a5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAA6CCC1747B5FD58AB299");
MODULE_INFO(rhelversion, "9.7");
