#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(fscache_dirty_folio, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");

SYMBOL_CRC(fscache_addremove_sem, 0x79f324bc, "");
SYMBOL_CRC(fscache_clearance_waiters, 0xbb0b4561, "");
SYMBOL_CRC(fscache_acquire_cache, 0xf928aa90, "");
SYMBOL_CRC(fscache_relinquish_cache, 0xfb93423b, "");
SYMBOL_CRC(fscache_add_cache, 0x37ab4ed7, "");
SYMBOL_CRC(fscache_io_error, 0xe607eb2f, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x79381cfb, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x620ee310, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0xf8395efd, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0xab19af7c, "");
SYMBOL_CRC(fscache_caching_failed, 0xd119d471, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0x1e8745b9, "");
SYMBOL_CRC(__fscache_use_cookie, 0x36fa1bd9, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0xfd647859, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0xbef97f13, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x6ed39334, "");
SYMBOL_CRC(fscache_put_cookie, 0x1a472952, "");
SYMBOL_CRC(fscache_get_cookie, 0xabf0dafa, "");
SYMBOL_CRC(__fscache_invalidate, 0xc204ed23, "");
SYMBOL_CRC(fscache_wait_for_operation, 0xdd6e530c, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x07a4663f, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x55a40ef5, "");
SYMBOL_CRC(fscache_dirty_folio, 0x8f7c3950, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x8d5e3878, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x4c71aef3, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x22892075, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x3b00e2d4, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0xc2aeb390, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0xc43bf918, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0xb573d2c0, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x0e4757bb, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0xbee67cd7, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0xe31d80de, "");
SYMBOL_CRC(fscache_end_volume_access, 0x891cc43e, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x441d5fad, "");
SYMBOL_CRC(fscache_put_volume, 0x2d060ed7, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0xb277edcd, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x20f299db, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xcd9cf41, "bpf_trace_run4" },
	{ 0x79502212, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x391d506, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x3c1900ca, "finish_wait" },
	{ 0xa68760f3, "trace_event_printf" },
	{ 0xaaa77744, "xas_find" },
	{ 0x685b17a8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0xdaa3a3ec, "netfs_stats_show" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd69e2d02, "bpf_trace_run2" },
	{ 0x45c29960, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x3f51192e, "remove_proc_subtree" },
	{ 0xf386c9d6, "event_triggers_call" },
	{ 0x8d642627, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb6e8b9ab, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x846e86e9, "trace_event_ignore_this_pid" },
	{ 0xd0c849be, "rt_write_unlock" },
	{ 0xf2a9b84a, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xe30bbbc, "__var_waitqueue" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x76c97b7e, "perf_trace_run_bpf_submit" },
	{ 0xb924756b, "down_write" },
	{ 0xb3cc0d0d, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x276290a4, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7374de1a, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1566e34f, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x49d0610b, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x1baeda5b, "proc_mkdir" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa0981971, "folio_end_private_2" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x346d4a68, "down_read" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x678136c3, "bpf_trace_run3" },
	{ 0xb70f9d75, "rt_read_lock" },
	{ 0xcff2b723, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb58ea34a, "rt_read_unlock" },
	{ 0x2c59a06c, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x49ddf453, "seq_printf" },
	{ 0x3d1b9ea0, "rt_write_lock" },
	{ 0xac6bf5b7, "filemap_dirty_folio" },
	{ 0xa43d11c3, "seq_puts" },
	{ 0xc1842c4a, "iov_iter_xarray" },
	{ 0xfc1c7d06, "proc_create_single_data" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x601f4e5d, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xdcbb0be6, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x38a8eb10, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "F1A7D48A931551A9DD3AC79");
MODULE_INFO(rhelversion, "9.7");
