#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x2a7ef93f, "");
SYMBOL_CRC(bt_sock_register, 0xd8d8e239, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x088e852c, "");
SYMBOL_CRC(bt_sock_link, 0xed95a924, "");
SYMBOL_CRC(bt_sock_unlink, 0x07646d37, "");
SYMBOL_CRC(bt_sock_linked, 0xf3ff2201, "");
SYMBOL_CRC(bt_accept_enqueue, 0x080414b5, "");
SYMBOL_CRC(bt_accept_unlink, 0x48051eca, "");
SYMBOL_CRC(bt_accept_dequeue, 0xd464903d, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x66780dc0, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x63ec1a9d, "");
SYMBOL_CRC(bt_sock_poll, 0x0b792c94, "");
SYMBOL_CRC(bt_sock_ioctl, 0xf4d00879, "");
SYMBOL_CRC(bt_sock_wait_state, 0x6e08d9e0, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x3a40e9c2, "");
SYMBOL_CRC(bt_procfs_init, 0x08efec4d, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x2b642cb8, "");
SYMBOL_CRC(bt_debugfs, 0x135786c7, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x63700151, "");
SYMBOL_CRC(hci_free_dev, 0x41a7396d, "");
SYMBOL_CRC(hci_register_dev, 0xbcba2cee, "");
SYMBOL_CRC(hci_unregister_dev, 0x1e999ad5, "");
SYMBOL_CRC(hci_release_dev, 0x76266059, "");
SYMBOL_CRC(hci_suspend_dev, 0xe4c6a356, "");
SYMBOL_CRC(hci_resume_dev, 0xe151d772, "");
SYMBOL_CRC(hci_reset_dev, 0x2edfa70d, "");
SYMBOL_CRC(hci_recv_frame, 0x28810b3e, "");
SYMBOL_CRC(hci_recv_diag, 0x05f97e12, "");
SYMBOL_CRC(hci_set_hw_info, 0x44c31f41, "");
SYMBOL_CRC(hci_set_fw_info, 0xf46ea6ce, "");
SYMBOL_CRC(hci_register_cb, 0x02c33182, "");
SYMBOL_CRC(hci_unregister_cb, 0xfb1c8b4d, "");
SYMBOL_CRC(__hci_cmd_send, 0x648e98f1, "");
SYMBOL_CRC(hci_get_route, 0x5258e0d6, "");
SYMBOL_CRC(hci_conn_security, 0x7bee222b, "");
SYMBOL_CRC(hci_conn_check_secure, 0xfec2ee24, "");
SYMBOL_CRC(hci_conn_switch_role, 0x96120547, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x9704236a, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x86a5a67b, "");
SYMBOL_CRC(l2cap_add_psm, 0xe52f04fe, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x92ddb7df, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x1fdaeb81, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x055687b4, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x047a51a3, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x98bbe541, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x046deccd, "");
SYMBOL_CRC(l2cap_register_user, 0xe138c72a, "");
SYMBOL_CRC(l2cap_unregister_user, 0xf77e58a7, "");
SYMBOL_CRC(l2cap_conn_get, 0x7e67b05f, "");
SYMBOL_CRC(l2cap_conn_put, 0x5d748c80, "");
SYMBOL_CRC(l2cap_chan_send, 0xd584be89, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x4cc5b517, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x504195fc, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x5ea8ae42, "");
SYMBOL_CRC(__hci_cmd_sync, 0x8fbe763b, "");
SYMBOL_CRC(hci_cmd_sync, 0x33d3c4ba, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x41f3a016, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0xb320fe7c, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xe629225c, "");
SYMBOL_CRC(hci_cmd_sync_status, 0xc733236c, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0xa17973c4, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0xb04f96c2, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x907c822f, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x7a1280db, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0xf2e428b9, "");
SYMBOL_CRC(hci_cmd_sync_run, 0x4efbb6d6, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0xc22d53ad, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x85f8db98, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0x252cf89d, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x10ad9a56, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x60bfead5, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x26b9d668, "");
SYMBOL_CRC(hci_devcd_init, 0xd42c9556, "");
SYMBOL_CRC(hci_devcd_append, 0x9e761d49, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x1d0e1cab, "");
SYMBOL_CRC(hci_devcd_complete, 0xdc483da5, "");
SYMBOL_CRC(hci_devcd_abort, 0x2d510263, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x6e3abf38, "skb_free_datagram" },
	{ 0xf961a95, "sock_queue_rcv_skb_reason" },
	{ 0xb1f704a3, "ida_alloc_range" },
	{ 0x247ddcbd, "try_module_get" },
	{ 0xfbfaafeb, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2dc11957, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x16ebc06d, "ida_destroy" },
	{ 0xb036c118, "idr_find" },
	{ 0x8935263a, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x63def6d6, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xf05011b7, "dev_set_name" },
	{ 0xac281cac, "scm_detach_fds" },
	{ 0x2e368f20, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x9a52e739, "device_unregister" },
	{ 0xe3ade934, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x1f7687, "debugfs_create_u16" },
	{ 0x3c1900ca, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xb2dc1e67, "device_find_any_child" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xefd980b0, "add_wait_queue_exclusive" },
	{ 0xe3cc3c43, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0xa7cf625e, "seq_lseek" },
	{ 0xf59ff11e, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3d4d0d9e, "sock_no_connect" },
	{ 0x45c29960, "prepare_to_wait_event" },
	{ 0xd433d6b6, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xd20e8db1, "__wake_up" },
	{ 0xa1304fa2, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x4d054148, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x65298c24, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x49f90e17, "__put_cred" },
	{ 0xfadd0c5c, "put_cmsg" },
	{ 0xd0004d9a, "skb_queue_purge_reason" },
	{ 0xa60689e1, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5b64dc4, "disable_delayed_work" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0xbfefda9d, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xff51f705, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb5204564, "sock_register" },
	{ 0x69694e23, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xefe478d8, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ce81fa, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf10a1e29, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xd0c849be, "rt_write_unlock" },
	{ 0x46eee886, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x54c5427c, "skb_queue_tail" },
	{ 0x14e80b76, "module_put" },
	{ 0xcd6ff497, "__sock_recv_ts_and_drops" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xba7001ee, "idr_remove" },
	{ 0x6b3e13dd, "debugfs_attr_read" },
	{ 0xba582fb5, "__sock_recv_timestamp" },
	{ 0xb459c107, "sock_no_shutdown" },
	{ 0xd60e9b71, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb400949f, "crypto_req_done" },
	{ 0xd41606fa, "init_net" },
	{ 0xa160d84, "crypto_shash_setkey" },
	{ 0x686db5cd, "simple_open" },
	{ 0x9ddc8ad1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd242a348, "device_add" },
	{ 0x906cc76e, "idr_alloc" },
	{ 0x261f6048, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x911decc9, "init_uts_ns" },
	{ 0xb7adb54e, "sk_skb_reason_drop" },
	{ 0xa54f3ccd, "sk_free" },
	{ 0xeac274ae, "device_move" },
	{ 0x436685a1, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd528a01d, "mutex_lock" },
	{ 0xccdcadee, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xbceec4fd, "sock_no_listen" },
	{ 0xb1c70f17, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xdd34a233, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf63cdb16, "iov_iter_kvec" },
	{ 0x36984d8a, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0xd2a7de8d, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xde15bb31, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7fd7416e, "dev_coredumpv" },
	{ 0xe5d67de, "skb_copy_datagram_iter" },
	{ 0x841cb035, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0x39ee08e2, "sk_alloc" },
	{ 0x16eba0a, "device_del" },
	{ 0x623e1767, "__sock_queue_rcv_skb" },
	{ 0xd031de37, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf20f53d7, "default_llseek" },
	{ 0x5b55ef22, "__sock_recv_wifi_status" },
	{ 0xdb67e85f, "from_kuid" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xc569c799, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x8ca5ec69, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1bc5694, "sock_no_mmap" },
	{ 0xf03a2846, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xb288c1df, "__pskb_pull_tail" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0x6ed31292, "__scm_destroy" },
	{ 0xe784d81d, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xea0c4add, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0x3acf683c, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1b138459, "seq_read" },
	{ 0xb70f9d75, "rt_read_lock" },
	{ 0x8d37343d, "sock_i_ino" },
	{ 0xe3ec8052, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0xd5ea48ab, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x7a699f4d, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd22c432, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x3f1ffba7, "skb_recv_datagram" },
	{ 0x9054d3da, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb58ea34a, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2c59a06c, "remove_proc_entry" },
	{ 0x744f8938, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x49ddf453, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x9b0f6e22, "skb_copy" },
	{ 0x6781acaa, "skb_clone" },
	{ 0x3d1b9ea0, "rt_write_lock" },
	{ 0x31999df5, "_copy_from_iter" },
	{ 0x2c0eb405, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x54ded64f, "remove_wait_queue" },
	{ 0xa43d11c3, "seq_puts" },
	{ 0xb88b8979, "sock_gettstamp" },
	{ 0x4b5a1028, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x98cbb2e2, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x32768431, "disable_delayed_work_sync" },
	{ 0x34fbf648, "from_kuid_munged" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xb92cd654, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x601f4e5d, "proc_create_seq_private" },
	{ 0xac665c71, "debugfs_create_u8" },
	{ 0x5100ad3e, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf7dd6694, "crypto_alloc_shash" },
	{ 0xa70da230, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xdf0b7b77, "fwnode_property_read_u8_array" },
	{ 0x935a90f8, "__mutex_rt_init" },
	{ 0x80b4755d, "put_pid" },
	{ 0x3f3cb8da, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x87d60252, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xaf863469, "__dev_fwnode" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8b8cc45d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbd95023d, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "6133416AC16FAD858998447");
MODULE_INFO(rhelversion, "9.7");
