#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x0c4a91ed, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x6ca8b6d9, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x9832e2d7, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x8729d7f2, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xfe945b40, "_gpl");
SYMBOL_CRC(br_forward, 0x3c480565, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xa6263f37, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x93c0e94f, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x9a5735dd, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xc22a4dfc, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x952415d6, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x4bd5d3dd, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x039d24c8, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x1c194255, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xe2fafb37, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xe2807899, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x8ce4f860, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x01afeb23, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x3e3f953c, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xcf83878f, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xb591bbf9, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x1af1fa90, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x866aa835, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xd9652f5d, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x01a1984e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee78a3d9, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb6b172f8, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb3cd661e, "skb_copy_bits" },
	{ 0xb66d312a, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3c37db34, "ipv6_mc_check_mld" },
	{ 0x63def6d6, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa0127b45, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf558944e, "netdev_update_features" },
	{ 0xd905338e, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x3d4e0332, "dev_uc_del" },
	{ 0x8449c87d, "rtnl_link_register" },
	{ 0x894e84bb, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb816d2d, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xad28bb77, "dev_set_promiscuity" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb8d22c34, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5777cb07, "unregister_netdevice_queue" },
	{ 0x8d642627, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x2065054a, "netdev_state_change" },
	{ 0x65298c24, "__pskb_copy_fclone" },
	{ 0xf6224ac, "__dev_get_by_name" },
	{ 0x2613fcb1, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd7f39a72, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2b218e43, "pskb_expand_head" },
	{ 0xd2ac83f3, "register_pernet_subsys" },
	{ 0xb0c1d084, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x34d7ee06, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x309c432, "alloc_netdev_mqs" },
	{ 0x4c13c64c, "passthru_features_check" },
	{ 0x35240f5a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x51c195a5, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3dbf5dab, "__SCK__tp_func_br_mdb_full" },
	{ 0xb07909, "rtnl_af_register" },
	{ 0x89ea8826, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ce81fa, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf2a9b84a, "kmem_cache_alloc" },
	{ 0xfa2eaf78, "rtnl_set_sk_err" },
	{ 0x1e9e591b, "skb_vlan_pop" },
	{ 0xe5fa10e7, "rtnl_unicast" },
	{ 0xcdac4c31, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x90ee71db, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x480a5a21, "nla_reserve_64bit" },
	{ 0xe2af557a, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xec99955b, "__dev_get_by_index" },
	{ 0x2ff19a9a, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0xd41606fa, "init_net" },
	{ 0xb91d24aa, "ipv6_stub" },
	{ 0x40242108, "inet_confirm_addr" },
	{ 0x9ddc8ad1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7bd3749d, "sysfs_remove_link" },
	{ 0x970a9544, "skb_vlan_untag" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2486678, "__SCK__tp_func_br_fdb_add" },
	{ 0x4a2c232e, "rtnl_af_unregister" },
	{ 0xb7adb54e, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xe4299847, "arp_send" },
	{ 0xdfdec967, "dev_get_by_index_rcu" },
	{ 0x5c23dc84, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0xccdcadee, "skb_push" },
	{ 0x7374de1a, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x53f33893, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0xe535d430, "netdev_upper_dev_unlink" },
	{ 0x99cd4068, "netif_receive_skb" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x44476e6d, "llc_mac_hdr_init" },
	{ 0x7213fc94, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xac067c0e, "__SCK__tp_func_fdb_delete" },
	{ 0x3f2998ae, "kobject_init_and_add" },
	{ 0x8871ccc3, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x63d3f6f7, "ns_capable" },
	{ 0xec94ae69, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8c2d410d, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x91cbe847, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x538037be, "arp_create" },
	{ 0x1fbfa154, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa3f391d9, "stp_proto_register" },
	{ 0x62c24ac0, "rtnl_register_module" },
	{ 0xcef529dd, "__tracepoint_br_fdb_update" },
	{ 0xc42ccf0c, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x12a8c2a6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6aad3c4b, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb288c1df, "__pskb_pull_tail" },
	{ 0x1992f465, "dev_get_tstats64" },
	{ 0x3527c504, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x1c5ad051, "ip_mc_check_igmp" },
	{ 0xcc0747dd, "__netdev_alloc_skb" },
	{ 0xacf76ac8, "rhashtable_destroy" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0x321cb1f3, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xa6fb5967, "kobject_create_and_add" },
	{ 0xea0c4add, "skb_trim" },
	{ 0xc42729cb, "nf_hook_slow" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2583a85d, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfcb8de47, "__ip_mc_inc_group" },
	{ 0x689efddd, "netdev_walk_all_upper_dev_rcu" },
	{ 0x6fc248ac, "sysfs_remove_group" },
	{ 0x66adcc81, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xa1d5ea8c, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf26dc6f2, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4e527fc3, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7a22d91c, "vlan_vid_add" },
	{ 0x22569cac, "neigh_destroy" },
	{ 0xa5c396d, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xba78b707, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0xb6615dd5, "__SCK__tp_func_br_fdb_update" },
	{ 0xd46d0569, "call_netdevice_notifiers" },
	{ 0x4cf575bf, "is_skb_forwardable" },
	{ 0x9a01f743, "vlan_vid_del" },
	{ 0x76c3ee13, "dev_set_allmulti" },
	{ 0x5b71a422, "net_ns_get_ownership" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0cf11f8, "netdev_master_upper_dev_get" },
	{ 0x4f369531, "ipv6_dev_mc_inc" },
	{ 0x3f544c8c, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5223ba80, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb8d51c10, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x6781acaa, "skb_clone" },
	{ 0xc19027bc, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0xba1ea4d2, "metadata_dst_alloc" },
	{ 0x4bd37af2, "dst_release" },
	{ 0xd9cd85f0, "netif_carrier_on" },
	{ 0xd57462fc, "kobject_uevent" },
	{ 0x3f6af763, "arp_tbl" },
	{ 0x22e94048, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x72bdd4ab, "netdev_rx_handler_register" },
	{ 0xe8d65b37, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf0b8eec2, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa62fe3ca, "dev_disable_lro" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x3773aa97, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6503f4a9, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0xc45c2119, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x17d6f089, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x47048ba4, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x241fc10, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x7c9a2ec8, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xde37d4ae, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x10c0f142, "neigh_lookup" },
	{ 0x38a8eb10, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf52501c6, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc9f88642, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "1028242921EF9F3F06F11F8");
MODULE_INFO(rhelversion, "9.7");
