#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x3690f072, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x76f3ac99, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xafde4bdf, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e3abf38, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf961a95, "sock_queue_rcv_skb_reason" },
	{ 0x5f8a0461, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xcd9cf41, "bpf_trace_run4" },
	{ 0xb3cd661e, "skb_copy_bits" },
	{ 0xd8a7a79, "radix_tree_insert" },
	{ 0x63def6d6, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd905338e, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x391d506, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x9926f473, "radix_tree_lookup" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0xa68760f3, "trace_event_printf" },
	{ 0xc9879476, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x685b17a8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x16364080, "__tracepoint_sk_data_ready" },
	{ 0xf386c9d6, "event_triggers_call" },
	{ 0xd20e8db1, "__wake_up" },
	{ 0xa1304fa2, "__module_get" },
	{ 0x1b429a8e, "kernel_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x65298c24, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4944b1cb, "sk_error_report" },
	{ 0xd0004d9a, "skb_queue_purge_reason" },
	{ 0x7c215b2f, "radix_tree_iter_delete" },
	{ 0xb6e8b9ab, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xff51f705, "proto_unregister" },
	{ 0xb5204564, "sock_register" },
	{ 0x69694e23, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x846e86e9, "trace_event_ignore_this_pid" },
	{ 0x75ce81fa, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd0c849be, "rt_write_unlock" },
	{ 0x46eee886, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x14e80b76, "module_put" },
	{ 0x74e426a8, "__xa_alloc" },
	{ 0xb459c107, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x76c97b7e, "perf_trace_run_bpf_submit" },
	{ 0xd41606fa, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2ab09ac, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb7adb54e, "sk_skb_reason_drop" },
	{  0xd543e, "xa_load" },
	{ 0x6ea23488, "__SCK__tp_func_sk_data_ready" },
	{ 0x5a522a00, "kernel_getsockname" },
	{ 0x4b45f785, "do_wait_intr_irq" },
	{ 0xa54f3ccd, "sk_free" },
	{ 0x436685a1, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd528a01d, "mutex_lock" },
	{ 0xccdcadee, "skb_push" },
	{ 0xbceec4fd, "sock_no_listen" },
	{ 0x1566e34f, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xde15bb31, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe5d67de, "skb_copy_datagram_iter" },
	{ 0x39ee08e2, "sk_alloc" },
	{ 0xc569c799, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1bc5694, "sock_no_mmap" },
	{ 0xf03a2846, "__init_waitqueue_head" },
	{ 0x3ad35b49, "sock_no_sendpage" },
	{ 0xcc0747dd, "__netdev_alloc_skb" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0xf8aa61a4, "__xa_insert" },
	{ 0x445b4fc5, "xa_erase" },
	{ 0x678136c3, "bpf_trace_run3" },
	{ 0x940631bf, "skb_set_owner_w" },
	{ 0xcff2b723, "trace_event_buffer_reserve" },
	{ 0xd5ea48ab, "mutex_unlock" },
	{ 0x6ff2dea3, "sock_create_kern" },
	{ 0x31561eff, "xa_find" },
	{ 0x3f1ffba7, "skb_recv_datagram" },
	{ 0x9054d3da, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x55934079, "xa_store" },
	{ 0x3d1b9ea0, "rt_write_lock" },
	{ 0x31999df5, "_copy_from_iter" },
	{ 0x227ff83b, "sock_release" },
	{ 0xb88b8979, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x862a1f67, "xa_find_after" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xb92cd654, "iov_iter_revert" },
	{ 0x537fdf88, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x935a90f8, "__mutex_rt_init" },
	{ 0x87d60252, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x8b8cc45d, "release_sock" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAAD44A10994D30D5FD142");
MODULE_INFO(rhelversion, "9.7");
