#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0xc44fb42c, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0xa7c06eda, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0xeed37dc4, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x9e0d733c, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x4698c6cf, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0xa26ad9b5, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x75c79df6, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0xec73618c, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0xd54c8612, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0xdc568f7f, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0xf275d8c8, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0xb2aaf36c, "_gpl");
SYMBOL_CRC(cs42l42_init, 0xed5003fc, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x02c36c83, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x612ef812, "device_property_present" },
	{ 0xd75c7c79, "regcache_cache_only" },
	{ 0x7d28e0ed, "regcache_sync" },
	{ 0x43f32862, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf582b614, "snd_soc_jack_report" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0xff033697, "gpiod_set_value_cansleep" },
	{ 0xbd980b77, "snd_pcm_hw_constraint_minmax" },
	{ 0x4d0d9fb9, "regcache_sync_region" },
	{ 0x10de736c, "snd_soc_put_enum_double" },
	{ 0x56630f82, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5a3ed2f, "devm_gpiod_get_optional" },
	{ 0x12dbc008, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1404321d, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf6b0d503, "device_property_read_u32_array" },
	{ 0x70a9544a, "snd_soc_get_enum_double" },
	{ 0x6db8231a, "_dev_info" },
	{ 0xa2df9f2b, "snd_soc_info_volsw" },
	{ 0xafa4e425, "regcache_drop_region" },
	{ 0xb21e0468, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd528a01d, "mutex_lock" },
	{ 0x42dc9359, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3441262e, "snd_soc_info_enum_double" },
	{ 0xde073b91, "snd_soc_get_volsw" },
	{ 0x681acc19, "regmap_read" },
	{ 0xcd698d08, "snd_soc_put_volsw" },
	{ 0xca05f1c1, "snd_soc_component_update_bits" },
	{ 0xd99a07a2, "__pm_runtime_resume" },
	{ 0xd5ea48ab, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe940f03f, "regmap_bulk_read" },
	{ 0x4a8226b4, "regmap_update_bits_base" },
	{ 0xf742779b, "dev_err_probe" },
	{ 0x26506277, "regmap_multi_reg_write" },
	{ 0xedf50fea, "__pm_runtime_suspend" },
	{ 0x935a90f8, "__mutex_rt_init" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "0CFCC13CFCF1A0369B62361");
MODULE_INFO(rhelversion, "9.7");
