#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_fbdev_shmem_setup, "", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x581d497d, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0xa1f9e936, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x038b57b7, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0x8434bebc, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0x4ab39f20, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x63e453cc, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0xef8e5ae9, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x472230d7, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x79802cb7, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0xd728444b, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xd6b95e6d, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0xa4ea1430, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0xa3914a9f, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x3609bb57, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x14c88c2f, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x80769a2a, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x8ecbf172, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x06e8a9ba, "_gpl");
SYMBOL_CRC(drm_fbdev_shmem_setup, 0x2daf2e9e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x35f075b6, "drm_client_register" },
	{ 0x247ddcbd, "try_module_get" },
	{ 0x5943e952, "drm_fb_helper_init" },
	{ 0x5b625608, "drm_fb_helper_debug_enter" },
	{ 0x5e93b062, "ww_mutex_lock_interruptible" },
	{ 0x8251ed07, "vmf_insert_pfn" },
	{ 0xc059a15c, "drm_gem_get_pages" },
	{ 0xf82438b0, "dma_buf_vmap" },
	{ 0xe3e3df87, "drm_client_buffer_vmap" },
	{ 0x160cb8bb, "drm_fb_helper_lastclose" },
	{ 0xcc32cf12, "drm_fb_helper_setcmap" },
	{ 0x67358713, "drm_fb_helper_alloc_info" },
	{ 0xe03a58c2, "drm_helper_disable_unused_functions" },
	{ 0xb5f5ec87, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x17b61806, "drm_fb_helper_fini" },
	{ 0x4a27d375, "drm_client_framebuffer_delete" },
	{ 0xd7e1ad7c, "drm_client_framebuffer_create" },
	{ 0x34241bb7, "invalidate_mapping_pages" },
	{ 0xfe18861a, "ww_mutex_unlock" },
	{ 0xd763dae8, "drm_fb_helper_deferred_io" },
	{ 0x61c3e872, "drm_fb_helper_release_info" },
	{ 0xafc556ac, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x9e6dbd7d, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x31dbfdcd, "drm_driver_legacy_fb_format" },
	{ 0xf41e182e, "drm_fb_helper_fill_info" },
	{ 0x46178e31, "drm_gem_create_mmap_offset" },
	{ 0xf9c4b374, "fb_deferred_io_init" },
	{ 0xae63139b, "fb_deferred_io_cleanup" },
	{ 0xccb71b4c, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf1c9b579, "dev_driver_string" },
	{ 0xb8370c8, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd04021f8, "fb_sys_write" },
	{ 0x17ac3d13, "sys_imageblit" },
	{ 0x640fe8fc, "drm_fb_helper_damage_range" },
	{ 0x8cdcf143, "drm_fb_helper_blank" },
	{ 0xa08e8a6f, "drm_gem_private_object_init" },
	{ 0xc457b1c5, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xecc5516b, "drm_fb_helper_damage_area" },
	{ 0x303f6223, "sys_fillrect" },
	{ 0xa703ed01, "set_pages_array_wb" },
	{ 0x14e80b76, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xd66d5f4f, "drm_client_init" },
	{ 0xd752a9e6, "drm_gem_vm_close" },
	{ 0xfc541222, "drm_gem_vm_open" },
	{ 0xa0ac3ee6, "drm_fb_helper_prepare" },
	{ 0xb924756b, "down_write" },
	{ 0xb21e0468, "_dev_err" },
	{ 0xb3cc0d0d, "up_write" },
	{ 0xc446900, "drm_gem_object_release" },
	{ 0x4b037e95, "ww_mutex_lock" },
	{ 0xa2effb68, "vmap" },
	{ 0x52bf3d6d, "drm_gem_handle_create" },
	{ 0xf929fa97, "drm_gem_fb_get_obj" },
	{ 0x75124c7f, "__drm_dev_dbg" },
	{ 0x50f27c46, "drm_prime_pages_to_sg" },
	{ 0xad89ede5, "fb_deferred_io_mmap" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa180732c, "drm_fb_helper_pan_display" },
	{ 0xf504d91b, "dma_buf_vunmap" },
	{ 0xfbda30da, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2ed17ddd, "sys_copyarea" },
	{ 0x1bdb63ee, "shmem_truncate_range" },
	{ 0x92e483d2, "set_pages_array_wc" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x8f85209a, "dma_map_sgtable" },
	{ 0xf80708d1, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x20f97a9c, "drm_client_buffer_vunmap" },
	{ 0x8fd51ae7, "fb_sys_read" },
	{ 0xa68da1c5, "drm_fb_helper_debug_leave" },
	{ 0x3b902d26, "dma_unmap_sg_attrs" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0xbd550aca, "drm_fb_helper_initial_config" },
	{ 0x2c57200a, "drm_fb_helper_unregister_info" },
	{ 0x111c6fd6, "drm_gem_put_pages" },
	{ 0x1bb0313f, "drm_gem_private_object_fini" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0xe408d2bc, "drm_fb_helper_ioctl" },
	{ 0xae47f111, "drm_fb_helper_set_par" },
	{ 0x2c9e6ae, "drm_prime_gem_destroy" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "0A2DBE5C0E15DC70B9E9C60");
MODULE_INFO(rhelversion, "9.7");
