#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_sched_tdr_queue_imm, "", "");
KSYMTAB_FUNC(drm_sched_fault, "", "");
KSYMTAB_FUNC(drm_sched_suspend_timeout, "", "");
KSYMTAB_FUNC(drm_sched_resume_timeout, "", "");
KSYMTAB_FUNC(drm_sched_stop, "", "");
KSYMTAB_FUNC(drm_sched_start, "", "");
KSYMTAB_FUNC(drm_sched_resubmit_jobs, "", "");
KSYMTAB_FUNC(drm_sched_job_init, "", "");
KSYMTAB_FUNC(drm_sched_job_arm, "", "");
KSYMTAB_FUNC(drm_sched_job_add_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_syncobj_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_resv_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_add_implicit_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_cleanup, "", "");
KSYMTAB_FUNC(drm_sched_pick_best, "", "");
KSYMTAB_FUNC(drm_sched_init, "", "");
KSYMTAB_FUNC(drm_sched_fini, "", "");
KSYMTAB_FUNC(drm_sched_increase_karma, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_ready, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_stop, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_start, "", "");
KSYMTAB_FUNC(to_drm_sched_fence, "", "");
KSYMTAB_FUNC(drm_sched_entity_init, "", "");
KSYMTAB_FUNC(drm_sched_entity_modify_sched, "", "");
KSYMTAB_FUNC(drm_sched_entity_error, "", "");
KSYMTAB_FUNC(drm_sched_entity_flush, "", "");
KSYMTAB_FUNC(drm_sched_entity_fini, "", "");
KSYMTAB_FUNC(drm_sched_entity_destroy, "", "");
KSYMTAB_FUNC(drm_sched_entity_set_priority, "", "");
KSYMTAB_FUNC(drm_sched_entity_push_job, "", "");

SYMBOL_CRC(drm_sched_tdr_queue_imm, 0xf4889a0c, "");
SYMBOL_CRC(drm_sched_fault, 0xcc0f5ad9, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0x86cd69e9, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0xb0adf4d5, "");
SYMBOL_CRC(drm_sched_stop, 0xff551c68, "");
SYMBOL_CRC(drm_sched_start, 0xa127ca2e, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0x72fc2e95, "");
SYMBOL_CRC(drm_sched_job_init, 0x392a665c, "");
SYMBOL_CRC(drm_sched_job_arm, 0x5518e650, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0x2e0ddf6f, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0x327d5c36, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0xae818c8f, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0x8abb98b7, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0x77716a6d, "");
SYMBOL_CRC(drm_sched_pick_best, 0x5cf0a374, "");
SYMBOL_CRC(drm_sched_init, 0xf58b2952, "");
SYMBOL_CRC(drm_sched_fini, 0xf5972134, "");
SYMBOL_CRC(drm_sched_increase_karma, 0xbace3f45, "");
SYMBOL_CRC(drm_sched_wqueue_ready, 0x9502716b, "");
SYMBOL_CRC(drm_sched_wqueue_stop, 0x32d887f1, "");
SYMBOL_CRC(drm_sched_wqueue_start, 0xba97446e, "");
SYMBOL_CRC(to_drm_sched_fence, 0xdc776e17, "");
SYMBOL_CRC(drm_sched_entity_init, 0x4aca34e3, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0xea9a4375, "");
SYMBOL_CRC(drm_sched_entity_error, 0xfb3813f0, "");
SYMBOL_CRC(drm_sched_entity_flush, 0xa6b0083c, "");
SYMBOL_CRC(drm_sched_entity_fini, 0x837886f3, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0x47178cc7, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0x5813cdf9, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0x4d66cc92, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9623c83, "drm_syncobj_find_fence" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x391d506, "trace_raw_output_prep" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x3c1900ca, "finish_wait" },
	{ 0xa68760f3, "trace_event_printf" },
	{ 0x685b17a8, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd69e2d02, "bpf_trace_run2" },
	{ 0x45c29960, "prepare_to_wait_event" },
	{ 0xd20e8db1, "__wake_up" },
	{ 0xf386c9d6, "event_triggers_call" },
	{ 0xbc58c678, "dma_fence_add_callback" },
	{ 0x529967af, "dma_fence_set_deadline" },
	{ 0x8d642627, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xef6b82f5, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf1c9b579, "dev_driver_string" },
	{ 0xb6e8b9ab, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x846e86e9, "trace_event_ignore_this_pid" },
	{ 0x397e4c99, "dma_resv_iter_next" },
	{ 0x6a64dfd2, "dma_fence_remove_callback" },
	{ 0xf2a9b84a, "kmem_cache_alloc" },
	{ 0x8249d685, "drm_dev_printk" },
	{ 0x74e426a8, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x76c97b7e, "perf_trace_run_bpf_submit" },
	{ 0xb21e0468, "_dev_err" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{  0xd543e, "xa_load" },
	{ 0x262f7bea, "dma_fence_signal" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7374de1a, "kmem_cache_free" },
	{ 0x1566e34f, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x74e043eb, "dma_fence_init" },
	{ 0x49d0610b, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x42dc9359, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf03a2846, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x445b4fc5, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xcff2b723, "trace_event_buffer_reserve" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6a5c9934, "xa_destroy" },
	{ 0x31561eff, "xa_find" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x55934079, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x659cd32c, "dma_resv_iter_first" },
	{ 0x862a1f67, "xa_find_after" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0x405b579b, "param_ops_int" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x38a8eb10, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "36CEA099525BB91D92912C6");
MODULE_INFO(rhelversion, "9.7");
