#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0x62e48d80, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x4d31cb44, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x0db02bb8, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x46135bf0, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0xe2a9a6c3, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x2983eaf1, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0x21e0a4c9, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x5a03291f, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0xa2b4df46, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0xd5338b13, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0xf3e713a1, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0x304da2e1, "_gpl");
SYMBOL_CRC(dm_get_md, 0x8bec3db9, "_gpl");
SYMBOL_CRC(dm_hold, 0x6aa8b0e7, "_gpl");
SYMBOL_CRC(dm_device_name, 0xd83eb357, "_gpl");
SYMBOL_CRC(dm_put, 0x015b363e, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x4b43f8d4, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x2c039dcf, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0x4d30512b, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0xf9d23a67, "_gpl");
SYMBOL_CRC(dm_disk, 0x6e65df8c, "_gpl");
SYMBOL_CRC(dm_suspended, 0xa45649fe, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x9bf269f6, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0x5a0839fc, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0x5fdb1222, "");
SYMBOL_CRC(dm_put_device, 0x756b056a, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0xa24d7f18, "_gpl");
SYMBOL_CRC(dm_table_event, 0x79ff84ef, "");
SYMBOL_CRC(dm_table_get_size, 0x9e1996d7, "");
SYMBOL_CRC(dm_table_get_mode, 0x2cc62afc, "");
SYMBOL_CRC(dm_table_get_md, 0x4218766e, "");
SYMBOL_CRC(dm_table_device_name, 0x8c86707e, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x64736263, "");
SYMBOL_CRC(dm_register_target, 0x2d3fbe29, "");
SYMBOL_CRC(dm_unregister_target, 0x7a5e98ac, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x047c899e, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x9c6b828c, "");
SYMBOL_CRC(dm_kcopyd_copy, 0xf18ceb00, "");
SYMBOL_CRC(dm_kcopyd_zero, 0xf836fd1b, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0xe4970501, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8a0e05a, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x78a6ec11, "set_disk_ro" },
	{ 0x567f6510, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x247ddcbd, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5349a1b3, "__init_rwsem" },
	{ 0x8d1e363c, "misc_deregister" },
	{ 0xc6d3208f, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb036c118, "idr_find" },
	{ 0x79502212, "param_ops_uint" },
	{ 0xc479f95e, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf3f0bfe7, "bio_split_to_limits" },
	{ 0x42aebf01, "vmalloc_to_page" },
	{ 0xbd2e192b, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0xbb10167e, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x75a79ed, "blk_mq_queue_inflight" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x3c1900ca, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xaa1573b1, "idr_replace" },
	{ 0x7228abb4, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0x53c55bba, "mempool_init" },
	{ 0xc21b6326, "blk_rq_prep_clone" },
	{ 0xc6fdd771, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x1045a65d, "prepare_to_wait" },
	{ 0x2e942f39, "blk_mq_quiesce_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x71462d83, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x45c29960, "prepare_to_wait_event" },
	{ 0xd2d2ea3d, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xd20e8db1, "__wake_up" },
	{ 0x599697fb, "synchronize_srcu" },
	{ 0x8d642627, "kmem_cache_create" },
	{ 0x78eb195c, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x425dfe99, "bdev_thaw" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x625eb54c, "mempool_free" },
	{ 0x4697997b, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x527af7a8, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x48b58185, "blk_mq_alloc_tag_set" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0xa60689e1, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x9046e20, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0xdff97ab, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x58fa70a5, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0x234c8653, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe0668ec5, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0xc368fa3, "kmalloc_node_trace" },
	{ 0xc2eb133f, "__SCK__tp_func_block_split" },
	{ 0xbd4b08c1, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xab99ccc6, "__free_pages" },
	{ 0xf2a9b84a, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x8cbbde3c, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x15a9db28, "submit_bio" },
	{ 0x14e80b76, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe9e6f4e3, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x22a33770, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x5739a145, "ima_measure_critical_data" },
	{ 0xba7001ee, "idr_remove" },
	{ 0x45870c17, "kobject_uevent_env" },
	{ 0xe2a82593, "bio_put" },
	{ 0x76780c0b, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe3fa7c9, "init_srcu_struct" },
	{ 0xfdc9dd, "__SCK__tp_func_block_bio_remap" },
	{ 0xb7403d5e, "fput" },
	{ 0xb924756b, "down_write" },
	{ 0x9faa02b0, "blk_revalidate_disk_zones" },
	{ 0xb3cc0d0d, "up_write" },
	{ 0x9dc231c9, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x906cc76e, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x37211dfe, "__srcu_read_lock" },
	{ 0x36f8e922, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x75d4d9e8, "set_capacity" },
	{ 0x16a33cdf, "submit_bio_noacct" },
	{ 0x4b84d4c9, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd528a01d, "mutex_lock" },
	{ 0xb2b625ec, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x7374de1a, "kmem_cache_free" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xe222c522, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xca54576, "bdev_freeze" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xf7f546ee, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3f2998ae, "kobject_init_and_add" },
	{ 0x3b5fd5ea, "zero_fill_bio_iter" },
	{ 0xf342fd7a, "bio_add_page" },
	{ 0x548fadf6, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe50b1942, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb7624322, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x60bcd019, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfb248658, "bdev_file_open_by_dev" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x10f662a, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0xd031de37, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x35a467c4, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xcbeb44b9, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x6c1deb74, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6bf6a0b8, "misc_register" },
	{ 0x9258ba40, "__alloc_pages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9723ca13, "blk_insert_cloned_request" },
	{ 0xf03a2846, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x346d4a68, "down_read" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9136e392, "audit_log_start" },
	{ 0xd4492618, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x821ecd31, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd049eea1, "bio_uninit" },
	{ 0xa406b424, "crypto_shash_final" },
	{ 0xd5ea48ab, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xd22c432, "param_ops_bool" },
	{ 0x11876368, "bioset_init" },
	{ 0x13095a5e, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb2326865, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0x47a0b35f, "__tracepoint_block_bio_remap" },
	{ 0x2b056340, "__tracepoint_block_rq_remap" },
	{ 0x5c8152b7, "bd_link_disk_holder" },
	{ 0x371ed72d, "blk_mq_start_request" },
	{ 0xdc73af9, "boot_cpu_data" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x7242d92, "put_dax" },
	{ 0xe0611d42, "file_bdev" },
	{ 0x9d8ec7f3, "queue_limits_stack_integrity" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc4b09eae, "__SCK__tp_func_block_rq_remap" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x931b2922, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6ee0e6d7, "blk_zone_plug_bio" },
	{ 0x405b579b, "param_ops_int" },
	{ 0x44d978c6, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0xf7dd6694, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x65674a77, "queue_limits_set" },
	{ 0xa63ccb46, "bio_alloc_bioset" },
	{ 0xdcbb0be6, "up_read" },
	{ 0xdcb9f99f, "blk_mq_requeue_request" },
	{ 0x935a90f8, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xfd98834, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x284bf504, "bdev_end_io_acct" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x2729bc55, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x38a8eb10, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf52501c6, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A31FCFDB3A94CFCEC2C6D2C");
MODULE_INFO(rhelversion, "9.7");
