#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xed9be54e, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x1c4d3903, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x7971271e, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xca58541b, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x87372a4c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46f0c097, "__do_once_done" },
	{ 0xdbd8bc2, "ip6_route_input_lookup" },
	{ 0xb1f704a3, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xb6b172f8, "dev_pre_changeaddr_notify" },
	{ 0x94f83400, "dev_mc_sync" },
	{ 0x16ebc06d, "ida_destroy" },
	{ 0x1f869bef, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf558944e, "netdev_update_features" },
	{ 0xd905338e, "consume_skb" },
	{ 0xf3943236, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0xc1d12af7, "dev_uc_sync" },
	{ 0x8449c87d, "rtnl_link_register" },
	{ 0xaf0ab071, "netif_inherit_tso_max" },
	{ 0xfe2a7d9f, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4ed9d38a, "ip_route_output_flow" },
	{ 0x5777cb07, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcc67aa21, "dev_uc_unsync" },
	{ 0x2613fcb1, "ether_setup" },
	{ 0xd7f39a72, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ebba068, "netdev_upper_dev_link" },
	{ 0xd2ac83f3, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x51c195a5, "netdev_rx_handler_unregister" },
	{ 0xc41adff2, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa0ccbf9c, "eth_header_cache_update" },
	{ 0x22f651dd, "nf_register_net_hooks" },
	{ 0x64ca7048, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x24c29e27, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xec99955b, "__dev_get_by_index" },
	{ 0x2ff19a9a, "rtnl_link_unregister" },
	{ 0x9ddc8ad1, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb7adb54e, "sk_skb_reason_drop" },
	{ 0xf4ce84ea, "netif_stacked_transfer_operstate" },
	{ 0xe535d430, "netdev_upper_dev_unlink" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x36984d8a, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x63d3f6f7, "ns_capable" },
	{ 0x2173d4aa, "nf_unregister_net_hooks" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x91cbe847, "ethtool_op_get_link" },
	{ 0x1fbfa154, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x12a8c2a6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb288c1df, "__pskb_pull_tail" },
	{ 0x3527c504, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xbd08585a, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x4e527fc3, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7a22d91c, "vlan_vid_add" },
	{ 0xd46d0569, "call_netdevice_notifiers" },
	{ 0x9a01f743, "vlan_vid_del" },
	{ 0x76c3ee13, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6781acaa, "skb_clone" },
	{ 0x4bd37af2, "dst_release" },
	{ 0x72bdd4ab, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x77efae60, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x6d95b511, "dev_mc_unsync" },
	{ 0x4d625ffa, "dev_change_flags" },
	{ 0xf510b88f, "netdev_core_stats_inc" },
	{ 0xc31d0825, "dev_forward_skb" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc9f88642, "register_netdevice" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "7A73F089E94612E3EDC21BC");
MODULE_INFO(rhelversion, "9.7");
