#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xcd3f9339, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x540b2ce8, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x4c07cc36, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xb512ccc7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x571e06d0, "__skb_checksum_complete" },
	{ 0x5adca17, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb3cd661e, "skb_copy_bits" },
	{ 0xb66d312a, "__nlmsg_put" },
	{ 0x9cb750b1, "netdev_adjacent_change_commit" },
	{ 0xe5dac54f, "eth_mac_addr" },
	{ 0x63def6d6, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x40c17b6e, "ip6_dst_hoplimit" },
	{ 0x595d38bf, "param_ops_ushort" },
	{ 0xd905338e, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x4fb3476e, "udp_sock_create4" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0xfc115351, "udp_tunnel6_xmit_skb" },
	{ 0x8449c87d, "rtnl_link_register" },
	{ 0xa332aebf, "__unregister_nexthop_notifier" },
	{ 0xaf0ab071, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0xac41cee6, "eth_validate_addr" },
	{ 0xb8d22c34, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x506a273b, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd5e5e244, "rtnl_create_link" },
	{ 0x5777cb07, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x175772a2, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x2613fcb1, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xea87d36a, "udp_tunnel_drop_rx_port" },
	{ 0x2b218e43, "pskb_expand_head" },
	{ 0x3ebba068, "netdev_upper_dev_link" },
	{ 0xd2ac83f3, "register_pernet_subsys" },
	{ 0xf7608df8, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x35240f5a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x75ce81fa, "__alloc_skb" },
	{ 0x17b0919d, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xdd0922f, "eth_gro_complete" },
	{ 0xfa2eaf78, "rtnl_set_sk_err" },
	{ 0x6a4f1cf7, "eth_gro_receive" },
	{ 0x94545943, "rtnl_configure_link" },
	{ 0xe9f7cc20, "skb_tunnel_check_pmtu" },
	{ 0xdae44da6, "udp_tunnel_dst_lookup" },
	{ 0xe5fa10e7, "rtnl_unicast" },
	{ 0x47bb013, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x4b396803, "__skb_get_hash_net" },
	{ 0x30498c1a, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xec99955b, "__dev_get_by_index" },
	{ 0x2ff19a9a, "rtnl_link_unregister" },
	{ 0xb91d24aa, "ipv6_stub" },
	{ 0x9ddc8ad1, "skb_pull" },
	{ 0xf2f370ca, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb7adb54e, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xdfdec967, "dev_get_by_index_rcu" },
	{ 0xd5c8e810, "gro_cells_receive" },
	{ 0xccdcadee, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xe535d430, "netdev_upper_dev_unlink" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x7213fc94, "free_netdev" },
	{ 0x13cb15f8, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9211e960, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xde15bb31, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x91cbe847, "ethtool_op_get_link" },
	{ 0x68b5d237, "nexthop_find_by_id" },
	{ 0x538037be, "arp_create" },
	{ 0x1fbfa154, "__ethtool_get_link_ksettings" },
	{ 0x5486c22f, "netdev_adjacent_change_prepare" },
	{ 0x62c24ac0, "rtnl_register_module" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x12a8c2a6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x8598e4f1, "rhashtable_free_and_destroy" },
	{ 0x6aad3c4b, "rht_bucket_nested_insert" },
	{ 0xacede0c8, "netdev_adjacent_change_abort" },
	{ 0xacf283e, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x2a278c49, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdf5e421d, "__iptunnel_pull_header" },
	{ 0xb288c1df, "__pskb_pull_tail" },
	{ 0x1992f465, "dev_get_tstats64" },
	{ 0x3527c504, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xacf76ac8, "rhashtable_destroy" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0xfb1b3889, "setup_udp_tunnel_sock" },
	{ 0x18338957, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xea0c4add, "skb_trim" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2583a85d, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbd08585a, "skb_scrub_packet" },
	{ 0x205dae25, "nexthop_select_path" },
	{ 0xa1d5ea8c, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9acde709, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x22569cac, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd22c432, "param_ops_bool" },
	{ 0xbe31cd43, "udp_tun_rx_dst" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3f544c8c, "rtnl_notify" },
	{ 0xdf8ec1d9, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x83c0a834, "__netif_rx" },
	{ 0x6781acaa, "skb_clone" },
	{ 0xba1ea4d2, "metadata_dst_alloc" },
	{ 0x4bd37af2, "dst_release" },
	{ 0x3f6af763, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x8e07c54d, "udp_tunnel_notify_del_rx_port" },
	{ 0xfd708485, "register_nexthop_notifier" },
	{ 0xc05e1d86, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb8bc94e0, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf510b88f, "netdev_core_stats_inc" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x32f8fe8e, "netdev_info" },
	{ 0x10c0f142, "neigh_lookup" },
	{ 0x8b8cc45d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc9f88642, "register_netdevice" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "FA7CF23B56E36E1596B63F3");
MODULE_INFO(rhelversion, "9.7");
