#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xc83bf755, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x65d7703b, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x46782d6f, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x33f00536, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x28ba9b47, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x6ee3e620, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x9d2cb90e, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0xa79b3ef8, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x63482ae9, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xb7e66f46, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x6683df11, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xb95babdb, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x23885d51, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xde0cf14e, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x8506c7a3, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xbcadc614, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xa1dc7768, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xe9fa59f5, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xe76894e7, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x8f87b132, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x6f925723, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x7eaaea15, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x1eefa311, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x019954f8, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x69b251f3, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x8e46b776, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x41967cff, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xe7927f0e, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x3c54f524, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x9d84f5eb, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xe302c591, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0xd2708d32, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xb533f7fb, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x504f9a7b, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xa70080a5, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xb870f63e, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xe42ac4c7, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x9fc57815, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xc32a0275, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xbd742826, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xda9fbaab, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x4b3ead42, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xe0bc84c6, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x78cb7c0f, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0xca1a3109, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xf7b642a6, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xe0ba6b18, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x20cb05b2, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x54d02fb2, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x09eb3973, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xd25084be, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x2648dbec, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xaee974e1, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xcc62b218, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x719d08ad, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0xa17b3c97, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xa963013b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x2154243f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x2791d823, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0xdb67f64f, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0xdb19ced0, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x652cd000, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x2e7cd3e4, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x455dea70, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2ea19db6, "set_capacity_and_notify" },
	{ 0xc8a0e05a, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x78a6ec11, "set_disk_ro" },
	{ 0x567f6510, "__blk_alloc_disk" },
	{ 0xb1f704a3, "ida_alloc_range" },
	{ 0x247ddcbd, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7e25891, "blk_rq_integrity_map_user" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x16ebc06d, "ida_destroy" },
	{ 0x1b5aacd3, "device_remove_file_self" },
	{ 0x79502212, "param_ops_uint" },
	{ 0xc479f95e, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf05011b7, "dev_set_name" },
	{ 0xf3f0bfe7, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xcd395f9, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xbd2e192b, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x391d506, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x2f1c2783, "blk_mq_tagset_wait_completed_request" },
	{ 0x79042793, "cdev_device_del" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x3c1900ca, "finish_wait" },
	{ 0xe6a1ea03, "queue_limits_stack_bdev" },
	{ 0xa68760f3, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xe3cc3c43, "device_initialize" },
	{ 0xc6fdd771, "blk_mq_unquiesce_queue" },
	{ 0x2e942f39, "blk_mq_quiesce_queue" },
	{ 0x685b17a8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdfddc481, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd69e2d02, "bpf_trace_run2" },
	{ 0x45c29960, "prepare_to_wait_event" },
	{ 0xc71fd3e0, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf386c9d6, "event_triggers_call" },
	{ 0xd20e8db1, "__wake_up" },
	{ 0x599697fb, "synchronize_srcu" },
	{ 0xb9e13ba9, "param_ops_byte" },
	{ 0x8d642627, "kmem_cache_create" },
	{ 0x4d054148, "get_device" },
	{ 0x78eb195c, "blk_mq_end_request" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xed06f635, "__blk_mq_alloc_disk" },
	{ 0x12dbc008, "__dynamic_dev_dbg" },
	{ 0x625eb54c, "mempool_free" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x527af7a8, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x48b58185, "blk_mq_alloc_tag_set" },
	{ 0x1b85292, "blk_rq_is_poll" },
	{ 0xb6e8b9ab, "trace_event_buffer_commit" },
	{ 0xa60689e1, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x32695677, "mempool_create" },
	{ 0xdff97ab, "put_disk" },
	{ 0xbfefda9d, "crypto_alloc_kpp" },
	{ 0x7c2ca295, "cdev_device_add" },
	{ 0x4d774646, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x9de818f7, "blk_execute_rq" },
	{ 0xefe478d8, "put_device" },
	{ 0x846e86e9, "trace_event_ignore_this_pid" },
	{ 0xe2408ea8, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0xc368fa3, "kmalloc_node_trace" },
	{ 0xbd4b08c1, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd5ba6d13, "blk_mq_free_request" },
	{ 0xab99ccc6, "__free_pages" },
	{ 0x6db8231a, "_dev_info" },
	{ 0x1553cbd1, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x14e80b76, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xcdac4c31, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3cbfc981, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x80cca410, "blk_rq_poll" },
	{ 0x6986d9e2, "blk_mq_quiesce_tagset" },
	{ 0x45870c17, "kobject_uevent_env" },
	{ 0x76780c0b, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe3fa7c9, "init_srcu_struct" },
	{ 0x76c97b7e, "perf_trace_run_bpf_submit" },
	{ 0xfdc9dd, "__SCK__tp_func_block_bio_remap" },
	{ 0xb21e0468, "_dev_err" },
	{ 0x9faa02b0, "blk_revalidate_disk_zones" },
	{ 0xa160d84, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd242a348, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x15337d07, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x7bd3749d, "sysfs_remove_link" },
	{ 0xe05d215d, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x37211dfe, "__srcu_read_lock" },
	{ 0xf4d448c8, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0x75d4d9e8, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x16a33cdf, "submit_bio_noacct" },
	{  0xd543e, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd528a01d, "mutex_lock" },
	{ 0x5488846f, "blk_sync_queue" },
	{ 0xb2b625ec, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x3813ab39, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x1566e34f, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x11451495, "blk_mq_alloc_request_hctx" },
	{ 0x91e6a0ef, "blk_mq_alloc_request" },
	{ 0x36984d8a, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x548fadf6, "crypto_shash_update" },
	{ 0xd2a7de8d, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe50b1942, "blk_mq_free_tag_set" },
	{ 0xb7624322, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x60bcd019, "cleanup_srcu_struct" },
	{ 0x268dc4bf, "blk_freeze_queue_start_non_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x10f662a, "blk_set_stacking_limits" },
	{ 0xb5a94bbe, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x292c729e, "blk_put_queue" },
	{ 0x49d0610b, "bpf_trace_run1" },
	{ 0x16eba0a, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x42dc9359, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x9258ba40, "__alloc_pages" },
	{ 0xe4d6213a, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xf03a2846, "__init_waitqueue_head" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0x799315fc, "blk_rq_unmap_user" },
	{ 0xfc0d71d, "blk_mq_unfreeze_queue_non_owner" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x5cc1cbad, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x445b4fc5, "xa_erase" },
	{ 0x678136c3, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x821ecd31, "blk_mq_complete_request" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xcff2b723, "trace_event_buffer_reserve" },
	{ 0xa406b424, "crypto_shash_final" },
	{ 0xd5ea48ab, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd22c432, "param_ops_bool" },
	{ 0x9ffb3fd6, "blk_mq_destroy_queue" },
	{ 0x6a5c9934, "xa_destroy" },
	{ 0x1e050d33, "blk_freeze_queue_start" },
	{ 0x391f7890, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x31561eff, "xa_find" },
	{ 0x9d73eb4f, "mempool_destroy" },
	{ 0xe8ff2759, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x1aa8d8a5, "__tracepoint_block_bio_complete" },
	{ 0x55934079, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2326865, "__srcu_read_unlock" },
	{ 0x47a0b35f, "__tracepoint_block_bio_remap" },
	{ 0xe5aa72ba, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xf7ca0b9, "queue_limits_commit_update" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x862a1f67, "xa_find_after" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x931b2922, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x8bd81ab6, "blk_mq_freeze_queue_nomemsave" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf7dd6694, "crypto_alloc_shash" },
	{ 0xfa647f3e, "blk_mq_freeze_queue_wait" },
	{ 0xf22193c, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xdcb9f99f, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x935a90f8, "__mutex_rt_init" },
	{ 0x3f3cb8da, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x8f9aff2a, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x284bf504, "bdev_end_io_acct" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0xa27ea401, "blk_steal_bios" },
	{ 0x38a8eb10, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "A87C20143DD957DFF9B1BAB");
MODULE_INFO(rhelversion, "9.7");
