#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0xdc3e5bb3, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa70080a5, "nvme_remove_admin_tag_set" },
	{ 0x2648dbec, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb1f704a3, "ida_alloc_range" },
	{ 0xbd742826, "nvme_uninit_ctrl" },
	{ 0x16ebc06d, "ida_destroy" },
	{ 0x33f00536, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x24d5c8c7, "nvmf_free_options" },
	{ 0x3ec0cca8, "nvmf_subsystem_reset" },
	{ 0x2f1c2783, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x3c1900ca, "finish_wait" },
	{ 0x19954f8, "nvme_stop_keep_alive" },
	{ 0x787754a5, "blk_mq_complete_request_remote" },
	{ 0xcb601c06, "dma_unmap_page_attrs" },
	{ 0xa1dc7768, "nvme_setup_cmd" },
	{ 0xc32a0275, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0x504f9a7b, "nvme_alloc_admin_tag_set" },
	{ 0x46b1337e, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x45c29960, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x9bfd6cd0, "nvmf_reg_read32" },
	{ 0xd20e8db1, "__wake_up" },
	{ 0x46782d6f, "nvme_delete_ctrl" },
	{ 0x4d054148, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf1c9b579, "dev_driver_string" },
	{ 0x6a64bc2f, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8fc8ce75, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xe42ac4c7, "nvme_remove_io_tag_set" },
	{ 0xbcadc614, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2791d823, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x4ffe843f, "nvmf_unregister_transport" },
	{ 0x9d3f6250, "blkcg_get_fc_appid" },
	{ 0xefe478d8, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb7e66f46, "nvme_change_ctrl_state" },
	{ 0x6db8231a, "_dev_info" },
	{ 0xda9fbaab, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb870f63e, "nvme_alloc_io_tag_set" },
	{ 0xde0cf14e, "nvme_fail_nonready_command" },
	{ 0x45870c17, "kobject_uevent_env" },
	{ 0x6acd67cc, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb21e0468, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x20315a69, "device_create" },
	{ 0x5488846f, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x684e1d14, "__blk_rq_map_sg" },
	{ 0x36984d8a, "ida_free" },
	{ 0x9c4ce86c, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd2a7de8d, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf404952a, "nvmf_connect_admin_queue" },
	{ 0x3c54f524, "nvme_enable_ctrl" },
	{ 0xd25084be, "nvme_unquiesce_admin_queue" },
	{ 0x42dc9359, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf03a2846, "__init_waitqueue_head" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x54d02fb2, "nvme_unquiesce_io_queues" },
	{ 0xdf761ec1, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6a7e3e46, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd1760306, "nvmf_should_reconnect" },
	{ 0x5533f96, "__dma_sync_single_for_device" },
	{ 0xb533f7fb, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7cb44b70, "device_destroy" },
	{ 0x41967cff, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xd718b0d2, "nvmf_register_transport" },
	{ 0x371ed72d, "blk_mq_start_request" },
	{ 0x20cb05b2, "nvme_quiesce_io_queues" },
	{ 0xe5aa72ba, "blk_mq_tagset_busy_iter" },
	{ 0x9fc57815, "nvme_stop_ctrl" },
	{ 0x3b902d26, "dma_unmap_sg_attrs" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x9d84f5eb, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x65d7703b, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x9eb3973, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3f3cb8da, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8506c7a3, "__nvme_check_ready" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x14abdbe9, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4b3ead42, "nvme_add_ctrl" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "304B7BC315F7CFED2851AD9");
MODULE_INFO(rhelversion, "9.7");
