#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0x6be05968, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0xfbce4a09, "_gpl");
SYMBOL_CRC(sas_free_task, 0x1b4c6017, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x7e4289aa, "");
SYMBOL_CRC(sas_resume_ha, 0xec961946, "");
SYMBOL_CRC(sas_suspend_ha, 0xb34b9b4f, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x30405476, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x92d48b21, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x311621e1, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x5f8db44f, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x3584ab87, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x2b520aba, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x82e7b699, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x0f0045bf, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xed8bbefd, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x69830a65, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x2d97d42c, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x28c12524, "_gpl");
SYMBOL_CRC(sas_device_configure, 0xd99e5d58, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x2628a674, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xd66fc743, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x873ec399, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xe34abf7c, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xd4faed03, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0xf279948f, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x4f3f6821, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x8564d4f2, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x1bafa048, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0xff100092, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xc65a3d39, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd66f673, "ata_qc_complete" },
	{ 0x8170dfba, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xcc160cac, "sas_rphy_remove" },
	{ 0xdec49660, "ata_sas_device_configure" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x84e60c3e, "ata_sas_port_destroy" },
	{ 0x9ca42b80, "bsg_job_done" },
	{ 0x4b19697f, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x2d034f8c, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xb465b29b, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x3c1900ca, "finish_wait" },
	{ 0x79c7aec2, "scsi_schedule_eh" },
	{ 0xa3432a15, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x2a4645fe, "ata_host_init" },
	{ 0xc7e1531f, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x67c524b9, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xacb1aa82, "sas_port_get_phy" },
	{ 0x2eced51d, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x45c29960, "prepare_to_wait_event" },
	{ 0xd20e8db1, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x8d642627, "kmem_cache_create" },
	{ 0x4d054148, "get_device" },
	{ 0xabdcd862, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x712603d9, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xefe478d8, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x5f3615ba, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xf2a9b84a, "kmem_cache_alloc" },
	{ 0x6db8231a, "_dev_info" },
	{ 0xf8c67125, "sas_phy_free" },
	{ 0x2e48df77, "scsi_eh_finish_cmd" },
	{ 0x8f0b02d8, "ata_sas_port_alloc" },
	{ 0xc7f7d40f, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x777d1761, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd528a01d, "mutex_lock" },
	{ 0xacde7a6d, "sas_port_mark_backlink" },
	{ 0x7374de1a, "kmem_cache_free" },
	{ 0x6f002a91, "ata_std_qc_defer" },
	{ 0x2f281a2, "ata_sas_port_start" },
	{ 0xffe45f5c, "ata_scsi_port_error_handler" },
	{ 0x11c5b9fd, "ata_change_queue_depth" },
	{ 0xcfa57dd4, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x34ba5b89, "sas_end_device_alloc" },
	{ 0xca6a2fcd, "mutex_lock_interruptible" },
	{ 0x864b3080, "sas_read_port_mode_page" },
	{ 0xefab6067, "sas_expander_alloc" },
	{ 0xf286ab89, "ata_sas_port_stop" },
	{ 0x42dc9359, "_dev_warn" },
	{ 0xf8c9541c, "sas_rphy_delete" },
	{ 0x8547b0bb, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x3f8ca92b, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf03a2846, "__init_waitqueue_head" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0x2e1b62cd, "scsi_host_busy" },
	{ 0xefb63acc, "ata_sas_async_probe" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0x56d78b97, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x67afffa6, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbf3888b2, "ata_sas_port_suspend" },
	{ 0x93ac85e3, "sas_rphy_add" },
	{ 0x8c2f0d4d, "sas_port_delete_phy" },
	{ 0xd5ea48ab, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x88b61781, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa36c9935, "sas_port_add_phy" },
	{ 0xf6d34cab, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xbd6a4dc1, "scsi_unblock_requests" },
	{ 0x1c097a26, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xaae0086a, "ata_host_put" },
	{ 0x9dd3a32e, "sas_port_free" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x485ef52d, "ata_std_sched_eh" },
	{ 0xc523bdfc, "scsi_block_requests" },
	{ 0xc557edf0, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x935a90f8, "__mutex_rt_init" },
	{ 0xec5d3902, "sas_remove_children" },
	{ 0x4be82572, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc9f8ee4f, "ata_port_wait_eh" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x38a8eb10, "kmem_cache_destroy" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas");


MODULE_INFO(srcversion, "933E62F885CA8097A566310");
MODULE_INFO(rhelversion, "9.7");
