#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x5baed646, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x5c7120e1, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xe7beb89c, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x891906ed, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x7aaa2e28, "");
SYMBOL_CRC(fuse_abort_conn, 0x1b836d30, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0xe0dd3fe8, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xb4d20bcc, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xd3f64183, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0xef7fdb7b, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x16e7e5be, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x4ec74d85, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x9c05f719, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x0b8dbad7, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x15957af5, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x7cde8a1e, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x24841a90, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x46aa22f2, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xe4980569, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x7302fe22, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x1ead6be5, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x8320622e, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x960412f2, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x390ee7c6, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x675021ae, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xc650d5fb, "");
SYMBOL_CRC(fuse_do_ioctl, 0x04e87cb9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xce33e4ac, "super_setup_bdi_name" },
	{ 0x87f08b31, "posix_test_lock" },
	{ 0x29bf4629, "truncate_inode_pages" },
	{ 0x49970fcc, "generic_copy_file_range" },
	{ 0x4cb7a082, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0x54c439d9, "pipe_lock" },
	{ 0x93521be9, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xaf668d32, "vfs_fsync_range" },
	{ 0xf211be0a, "setattr_prepare" },
	{ 0xd960517b, "clear_nlink" },
	{ 0x9876a5ef, "file_check_and_advance_wb_err" },
	{ 0x4901c4dc, "d_alloc_parallel" },
	{ 0x5349a1b3, "__init_rwsem" },
	{ 0x4c6c44f8, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x8d1e363c, "misc_deregister" },
	{ 0xa3f0ae26, "make_vfsgid" },
	{ 0x149c5317, "clear_inode" },
	{ 0xddef1c8d, "inode_to_bdi" },
	{ 0x34d2c727, "find_pid_ns" },
	{ 0xbfd7a9ea, "grab_cache_page_write_begin" },
	{ 0x9310815, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x15e9dc32, "pipe_unlock" },
	{ 0x2a303e72, "fs_param_is_string" },
	{ 0x70400153, "folio_unlock" },
	{ 0xf41bbd04, "generic_file_splice_read" },
	{ 0x2ba29017, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0xf91e4fa3, "filemap_map_pages" },
	{ 0x1abd9da8, "dump_page" },
	{ 0xdb6b903c, "forget_all_cached_acls" },
	{ 0x36aa4c3e, "init_special_inode" },
	{ 0xfe41726f, "unregister_filesystem" },
	{ 0x520f7bcd, "task_active_pid_ns" },
	{ 0x3c3407aa, "iov_iter_single_seg_count" },
	{ 0xf06cd10e, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x3c1900ca, "finish_wait" },
	{ 0xba1b36ba, "d_alloc_name" },
	{ 0x7c4bf0de, "replace_page_cache_folio" },
	{ 0x62760309, "inode_query_iversion" },
	{ 0x95161a97, "iov_iter_advance" },
	{ 0xaa80ecc0, "kill_fasync" },
	{ 0x6c122b05, "d_make_root" },
	{ 0xb87125d7, "sb_set_blocksize" },
	{ 0x8bd0316c, "fget" },
	{ 0x2eefa579, "simple_fill_super" },
	{ 0xaaa77744, "xas_find" },
	{ 0x34241bb7, "invalidate_mapping_pages" },
	{ 0xb1a00e8c, "sync_filesystem" },
	{ 0x6d4d53c3, "sget_fc" },
	{ 0xc66b1f49, "param_set_uint" },
	{ 0xb1181802, "d_splice_alias" },
	{ 0x7bedee20, "iov_iter_get_pages2" },
	{ 0x9a2c214, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x78302872, "page_get_link" },
	{ 0xc09dc6fa, "generic_permission" },
	{ 0x8815784c, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xb457acb2, "invalidate_inode_pages2_range" },
	{ 0x1f431c5d, "posix_lock_file" },
	{ 0xd3ee2d06, "finish_open" },
	{ 0xaa9f6e64, "iput" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x28079305, "logfc" },
	{ 0xf0b6c29f, "iter_file_splice_write" },
	{ 0x45c29960, "prepare_to_wait_event" },
	{ 0xe3522f48, "init_pid_ns" },
	{ 0x33adc938, "iov_iter_init" },
	{ 0x6c769b3d, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x82965d93, "sysfs_create_mount_point" },
	{ 0xe3a60929, "generic_file_write_iter" },
	{ 0xd20e8db1, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb578c60a, "register_filesystem" },
	{ 0x8d642627, "kmem_cache_create" },
	{ 0x758219cd, "folio_add_lru" },
	{ 0x5d820271, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x7160f565, "sync_inode_metadata" },
	{ 0x89c2feb1, "simple_empty" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x34b4e94c, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfd6ab118, "shrink_dcache_parent" },
	{ 0xf4e3656e, "get_tree_nodev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x308189dd, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x47bfaf22, "fs_param_is_u32" },
	{ 0xdc6ad8ec, "inode_newsize_ok" },
	{ 0x4711240a, "d_drop" },
	{ 0x68a6213, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x699df8b6, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xd1e54b3b, "bdi_put" },
	{ 0x65e30170, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x60f2d991, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x9dc5b6ae, "make_kuid" },
	{ 0x62525e0a, "truncate_inode_pages_final" },
	{ 0xc338358c, "fs_kobj" },
	{ 0xcbd1c92e, "__filemap_set_wb_err" },
	{ 0x324ece57, "simple_dir_operations" },
	{ 0xaf165cef, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0xab99ccc6, "__free_pages" },
	{ 0xf2a9b84a, "kmem_cache_alloc" },
	{ 0x6a5ef25d, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xeacb3c3c, "setattr_should_drop_suidgid" },
	{ 0xd5303868, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97740f94, "copy_page_from_iter_atomic" },
	{ 0x90334e7e, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x1b3e17d8, "inode_init_once" },
	{ 0xe7c416ab, "file_write_and_wait_range" },
	{ 0x8c46d518, "nosteal_pipe_buf_ops" },
	{ 0x7881accc, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x750f80a7, "inode_nohighmem" },
	{ 0x8a45108b, "release_pages" },
	{ 0x31c02747, "generic_file_direct_write" },
	{ 0x49608959, "migrate_disable" },
	{ 0xb7403d5e, "fput" },
	{ 0xb924756b, "down_write" },
	{ 0xb3cc0d0d, "up_write" },
	{ 0xab84edc8, "generic_file_read_iter" },
	{ 0xf4952de7, "inode_maybe_inc_iversion" },
	{ 0xe0c246c6, "unlock_page" },
	{ 0xfebfe8a6, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0xd5f201af, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xff8e72cd, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0x95242e03, "dec_node_page_state" },
	{ 0x2bc8175e, "write_cache_pages" },
	{ 0x3196ed20, "file_update_time" },
	{ 0xea1a2559, "set_nlink" },
	{ 0xd528a01d, "mutex_lock" },
	{ 0x7374de1a, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xf863a6a7, "from_kgid" },
	{ 0xe6815d1f, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xed242632, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xc3800dca, "write_inode_now" },
	{ 0xc17518c9, "d_obtain_alias" },
	{ 0x2d3232c8, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf8e85fa0, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x89035ed9, "finish_no_open" },
	{ 0x46454e7b, "__folio_start_writeback" },
	{ 0xa426ae95, "kill_litter_super" },
	{ 0xd35e038, "folio_end_writeback" },
	{ 0xdb67e85f, "from_kuid" },
	{ 0xd764aef4, "current_in_userns" },
	{ 0x8164459d, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0xa581a31d, "sysfs_remove_mount_point" },
	{ 0x6bf6a0b8, "misc_register" },
	{ 0x9258ba40, "__alloc_pages" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf03a2846, "__init_waitqueue_head" },
	{ 0x313a2e4c, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x5c8e4e19, "d_delete" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0xe784d81d, "from_kgid_munged" },
	{ 0x3e3c8d32, "end_page_writeback" },
	{ 0xa6fb5967, "kobject_create_and_add" },
	{ 0x346d4a68, "down_read" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0xf16c2ca7, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd4492618, "nonseekable_open" },
	{ 0xae729524, "set_page_dirty" },
	{ 0xa318eac5, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3ff009c0, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2bef7cea, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf627870e, "generic_read_dir" },
	{ 0x7cb8acbf, "d_add" },
	{ 0x5b3b4454, "set_page_writeback" },
	{ 0xd5ea48ab, "mutex_unlock" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x57c33912, "init_user_ns" },
	{ 0xb159a5bf, "d_find_alias" },
	{ 0xcfefa4ae, "invalidate_inode_pages2" },
	{ 0xb3d83dc4, "inc_nlink" },
	{ 0x82d76e53, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7dfabde, "get_tree_bdev" },
	{ 0x99b8651c, "set_anon_super_fc" },
	{ 0x49ddf453, "seq_printf" },
	{ 0x3e3aa3c2, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x66da446d, "generic_delete_inode" },
	{ 0x5a1e410c, "deactivate_locked_super" },
	{ 0x841886e3, "touch_atime" },
	{ 0x6c24188b, "__d_lookup_unhash_wake" },
	{ 0xa90b56f2, "set_page_dirty_lock" },
	{ 0xdd055b76, "pid_nr_ns" },
	{ 0xce1c9197, "generic_file_open" },
	{ 0x7a1864c2, "truncate_inode_pages_range" },
	{ 0x4b303592, "__put_user_ns" },
	{ 0xb34abb13, "__folio_lock" },
	{ 0xac6bf5b7, "filemap_dirty_folio" },
	{ 0x750df222, "pagecache_get_page" },
	{ 0xa43d11c3, "seq_puts" },
	{ 0x86cb81cc, "stream_open" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x79e8227e, "__wake_up_sync" },
	{ 0x7eb4b8a9, "add_to_pipe" },
	{ 0xaed80ba, "__fs_parse" },
	{ 0x347bc085, "posix_acl_to_xattr" },
	{ 0x2999af9, "dget_parent" },
	{ 0xb4ebb2f7, "kill_anon_super" },
	{ 0x34fbf648, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x57566145, "iget5_locked" },
	{ 0xc9d5a8f, "security_dentry_init_security" },
	{ 0x2f0d3511, "filemap_write_and_wait_range" },
	{ 0x77a93997, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x511dd002, "generic_write_checks" },
	{ 0xb92cd654, "iov_iter_revert" },
	{ 0xad2ed41f, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdbd49801, "mntget" },
	{ 0xb3775a4f, "kmem_cache_alloc_lru" },
	{ 0x20bb30f8, "filemap_fault" },
	{ 0x29ba34af, "d_invalidate" },
	{ 0xfbdc9b8d, "__mark_inode_dirty" },
	{ 0x5d8b5a9a, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xdcbb0be6, "up_read" },
	{ 0x935a90f8, "__mutex_rt_init" },
	{ 0xe5994b28, "iov_iter_npages" },
	{ 0xf321801, "drop_nlink" },
	{ 0xdbae2099, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x6ba169f6, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x6b8304fe, "bdi_set_max_ratio" },
	{ 0x38a8eb10, "kmem_cache_destroy" },
	{ 0xf52501c6, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7DBF81E138208D31B51FCD0");
MODULE_INFO(rhelversion, "9.7");
