#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0xc9828714, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0x43152e99, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0xd532dede, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0x5d191476, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0xf96b22bf, "_gpl");
SYMBOL_CRC(lockd_up, 0xabc70660, "_gpl");
SYMBOL_CRC(lockd_down, 0x719bc2f0, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0x758c76c5, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x77e35ccc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb41684e, "rpc_put_task" },
	{ 0xe1014cbf, "svc_generic_rpcbind_set" },
	{ 0xe6dedac9, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x5349a1b3, "__init_rwsem" },
	{ 0xcd9cf41, "bpf_trace_run4" },
	{ 0x79502212, "param_ops_uint" },
	{ 0x6e9040ae, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7de78344, "rpc_shutdown_client" },
	{ 0xc7661576, "svc_bind" },
	{ 0xa0fb389f, "proc_create" },
	{ 0x5b4cbf04, "svc_recv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7648091b, "xdr_inline_decode" },
	{ 0x391d506, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x3c1900ca, "finish_wait" },
	{ 0xa68760f3, "trace_event_printf" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x1045a65d, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x685b17a8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x89a72c5b, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c91fa16, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x1771a7ca, "svc_exit_thread" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0x45c29960, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf386c9d6, "event_triggers_call" },
	{ 0xd20e8db1, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x633f3f84, "param_get_ulong" },
	{ 0x980027b4, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x49f90e17, "__put_cred" },
	{ 0xd2ac83f3, "register_pernet_subsys" },
	{ 0xa67e62b0, "locks_in_grace" },
	{ 0xecaafdb1, "wake_up_process" },
	{ 0xb6e8b9ab, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf7f7dc82, "proc_dobool" },
	{ 0x308189dd, "locks_lock_inode_wait" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xb7367e92, "unregister_sysctl_table" },
	{ 0x846e86e9, "trace_event_ignore_this_pid" },
	{ 0xc9720876, "locks_release_private" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xd5ac1038, "locks_init_lock" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x80137c44, "simple_transaction_release" },
	{ 0xad0e6d0c, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf792df3, "svc_age_temp_xprts_now" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x76c97b7e, "perf_trace_run_bpf_submit" },
	{ 0xb924756b, "down_write" },
	{ 0xd41606fa, "init_net" },
	{ 0xb3cc0d0d, "up_write" },
	{ 0xcf0f65da, "svc_set_num_threads" },
	{ 0x885b4b2b, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xd528a01d, "mutex_lock" },
	{ 0x65120304, "vfs_cancel_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x8e7558a5, "proc_doulongvec_minmax" },
	{ 0x1566e34f, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x53445f68, "nlm_debug" },
	{ 0xa42183c4, "freezing_slow_path" },
	{ 0x17281656, "rpc_create" },
	{ 0xebc8bdae, "svc_destroy" },
	{ 0xdbc9a303, "rpc_call_start" },
	{ 0xbe25c581, "svc_create" },
	{ 0xf20f53d7, "default_llseek" },
	{ 0x9d5db31f, "rpc_call_sync" },
	{ 0x1baeda5b, "proc_mkdir" },
	{ 0x12a8c2a6, "unregister_pernet_subsys" },
	{ 0xdede0cdc, "vfs_lock_file" },
	{ 0x62232f96, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf03a2846, "__init_waitqueue_head" },
	{ 0x33e30d8d, "svc_generic_init_request" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0x346d4a68, "down_read" },
	{ 0x8b0bb548, "svc_set_client" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0x1919ae73, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35c29410, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdb1f4d8c, "rpc_force_rebind" },
	{ 0xcff2b723, "trace_event_buffer_reserve" },
	{ 0xd5ea48ab, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd22c432, "param_ops_bool" },
	{ 0x61cae429, "rpc_restart_call" },
	{ 0x159f40d, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2c59a06c, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x24a4b3bb, "svc_find_xprt" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xdef42c57, "proc_dointvec" },
	{ 0xe62c218d, "svc_print_addr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0xe18538f2, "locks_delete_block" },
	{ 0x754d539c, "strlen" },
	{ 0x65fa26be, "locks_start_grace" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0xd026bb2c, "param_get_int" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xdcbb0be6, "up_read" },
	{ 0x935a90f8, "__mutex_rt_init" },
	{ 0x1e808d01, "svc_xprt_create" },
	{ 0x20ecd656, "rpc_wait_for_completion_task" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0xafa62e10, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x57b15cca, "proc_dointvec_minmax" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "3C2D9F040CFB69F6A64DCE9");
MODULE_INFO(rhelversion, "9.7");
