#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xcbd8e01e, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x2cc8a934, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x03335a8c, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x668b6111, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x475a193d, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x8d748214, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xaaea35d5, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x484ac44e, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xeec8a6c5, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xbf282b69, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x88c3671c, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xed8c403c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x24c11e20, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xd41606fa, "init_net" },
	{ 0x309c432, "alloc_netdev_mqs" },
	{ 0xf3b619c6, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x7213fc94, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2ff19a9a, "rtnl_link_unregister" },
	{ 0xf3943236, "ip6_local_out" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x506a273b, "gro_cells_init" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xb288c1df, "__pskb_pull_tail" },
	{ 0xc9f88642, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x2065054a, "netdev_state_change" },
	{ 0x63d3f6f7, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd1b5bd66, "dst_cache_get" },
	{ 0x9717b595, "ipv4_mtu" },
	{ 0xbd08585a, "skb_scrub_packet" },
	{ 0xf5217663, "skb_realloc_headroom" },
	{ 0x940631bf, "skb_set_owner_w" },
	{ 0xd905338e, "consume_skb" },
	{ 0x404a4dc2, "ipv6_push_frag_opts" },
	{ 0xccdcadee, "skb_push" },
	{ 0x64ca7048, "ip6_route_output_flags" },
	{ 0x90ee71db, "ipv6_dev_get_saddr" },
	{ 0xcdd12500, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb3cd661e, "skb_copy_bits" },
	{ 0x40c17b6e, "ip6_dst_hoplimit" },
	{ 0x22569cac, "neigh_destroy" },
	{ 0x9dc5b6ae, "make_kuid" },
	{ 0xca306f07, "ip6_redirect" },
	{ 0x35cea15b, "ip6_update_pmtu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x175772a2, "iptunnel_handle_offloads" },
	{ 0xd567b764, "icmpv6_ndo_send" },
	{ 0x34436bb9, "icmp_ndo_send" },
	{ 0xb7adb54e, "sk_skb_reason_drop" },
	{ 0x6781acaa, "skb_clone" },
	{ 0x9ddc8ad1, "skb_pull" },
	{ 0x1cf5e025, "__icmpv6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xd5c8e810, "gro_cells_receive" },
	{ 0xf7608df8, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xdf5e421d, "__iptunnel_pull_header" },
	{ 0xba1ea4d2, "metadata_dst_alloc" },
	{ 0x4ed9d38a, "ip_route_output_flow" },
	{ 0x24c29e27, "ip_route_input_noref" },
	{ 0x3a02d729, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1992f465, "dev_get_tstats64" },
	{ 0xd22c432, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe186df0c, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x9e3ae268, "ipv6_chk_addr_and_flags" },
	{ 0xdfdec967, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xf1aff881, "register_pernet_device" },
	{ 0x97519740, "xfrm6_tunnel_register" },
	{ 0x8449c87d, "rtnl_link_register" },
	{ 0x1f41810c, "xfrm6_tunnel_deregister" },
	{ 0x31abb9d4, "unregister_pernet_device" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5777cb07, "unregister_netdevice_queue" },
	{ 0xa8f69383, "rt6_lookup" },
	{ 0x4bd37af2, "dst_release" },
	{ 0xec99955b, "__dev_get_by_index" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "3DD7C01CB2A7CAF119C80A5");
MODULE_INFO(rhelversion, "9.7");
